angular.module('starter.services', [])

/**
 * A simple example service that returns some data.
 */
.factory('Friends', function() {
  // Might use a resource here that returns a JSON array

  // Some fake testing data
  var friends = [
    { id: 0, name: 'Scruff McGruff' },
    { id: 1, name: 'G.I. Joe' },
    { id: 2, name: 'Miss Frizzle' },
    { id: 3, name: 'Ash Ketchum' }
  ];

  return {
    all: function() {
      return friends;
    },
    get: function(friendId) {
      // Simple index lookup
      return friends[friendId];
    }
  }
});



/**
 * a service that get business list
 */
angular.module('starter.services', [])
.factory('BusinessLists', function($http) {

 // var DeptList;
 // var DeptDetail;

 // var getDeptList = function(){
 //    var longitude = window.getBusinessList.getGPS1();
 //    var latitude = window.getBusinessList.getGPS2();
 //    var url = "http://10.176.118.15/dept/list?xlocation=" + longitude + "&ylocation=" + latitude;
 //    var deptList;
 //    //获取列表数据
 //    $http
 //          .get(url)  
 //           .success(function(data){
 //               if(data.header.errorMsg == "success"){
 //                    deptList = data.body;
 //                    for(var i=0;i<deptList.length;i++){
 //                       deptList[i].id = i;
 //                   }
 //                   DeptList = deptList;
 //              } 
 //         });
    // if(deptList != ""){
    //    var reg = new RegExp("\n","g"); //创建正则RegExp对象 
    //    var newstr = deptList.replace(reg,"\\n");
    //    DeptList = JSON.parse(newstr);
    //    var i = 0;
    //    for(var o in DeptList){
    //        DeptList[o].id = i;
    //        i++; 
    //   }
    //   window.localStorage.setItem("body",JSON.stringify(DeptList));  
    // }
 // }

 // var getDeptDetail = function(){
 //    var deptDetail;
 //    var deptNumber = window.getBusinessList.deptNumber();
 //    var url = "http://10.176.118.15/dept/one?dept_code=" + deptNumber;
 //    $http
 //          .get(url)  
 //           .success(function(data){
 //               if(data.header.errorMsg == "success"){
 //                   deptDetail = JSON.stringify(data.body);
 //              } 
 //         });

 //    if(deptDetail != ""){
 //       var reg = new RegExp("\r\n","g"); //创建正则RegExp对象 
 //       var newstr = deptDetail.replace(reg,"\\r\\n");
 //       DeptDetail = JSON.parse(newstr);
 //    }
 // }


 // var gpsInformation = window.getBusinessList.getGPS1();
 // if(window.getBusinessList.islogin()){
 //    getDeptDetail();
 // }else{
 //  if(gpsInformation != "-1.0000"){
 //    getDeptList();
 //  }
 // }
 
 // var BusinessList = [{"dept_code":8055,"name":"上海延平路证券营业部","brief":"测试","address":"上海市延平路135号","post":"231456","contactor":"张三","zphone":"78910","wphone":"123456","email":"abc@163.com","url":"www.gtja.com","xlocation":23.12,"ylocation":22.6,"province_id":32,"introduction":"测试测试测试"},
 //                        {"dept_code":8056,"name":"上海团结路证券营业部","brief":"测试1","address":"上海团结路136号","post":"231456","contactor":"张四","zphone":"78910","wphone":"123456","email":"def@163.com","url":"www.gtja.com","xlocation":23.32,"ylocation":22.7,"province_id":32,"introduction":"测试测试测试1"}];



  return {
    allDetail: function() {
      if(typeof(DeptDetail) == "undefined"){
          getDeptDetail();
      }
      return DeptDetail;
    },
    allList: function() {
      if(typeof(DeptList) == "undefined"){
          getDeptList();
      }
      return DeptList;
    },
    getList: function(BusinessId) {
      // Simple index lookup
      return DeptList[BusinessId];
    },
    getPlaceList: function(x,y) {
      return DeptList;
    }, 

  }
});


/**
 * A service used to set and get map status,if mapStatus is ture ,the map will show the path,else the map will only show the GPS.
 */
angular.module('starter.services', [])
.factory('Map', function() {
   var mapStatus = "";


  return {
     setMapStatus:function(status){
        mapStatus = status;
    },
    getMapStatus:function(){
        return mapStatus;
    }
  }
});