var date = "", time_ = "", timeCount = " - - ", data_zjlx = "", themPic = "", errorTimes = [0, 0, 0, 0, 0], wrongAction = [0, 0, 0, 0, 0];//取值超时次数、未取到数据的图表
//if (GetNowTime() < 9.15) {
//    date = GetDateStr2(-1);
//    data_zjlx = GetDateStr2(-1);
//} else if (GetNowTime() >= 9.15 && GetNowTime() <= 9.25) {
//    date = GetNowDate2();
//    data_zjlx = "----";
//} else {
//    date = GetNowDate2();
//    data_zjlx = GetNowDate2();
//}

var stock = $.getUrlParam('stockCode'), market = $.getUrlParam('market'), dateStr = $.getUrlParam('selectDate'), dayNums = $.getUrlParam('dayNums');

function capitalFlow() {

    // 图表实例化------------------

    var myChart = echarts.init(document.getElementById('capitalFlow'), yg_theme);
    var title = "";

    // 过渡---------------------
    myChart.showLoading({
        text: '\n正在努力的读取数据中...',    //loading话术
        maskColor: 'rgba(255, 255, 255, 0)',
        textColor: textColor,
    });
    // ajax getting data...............
    var zjlData = [], newZjldata = [];
    var zjlValueLen = 0;//资金流数据位数

    var fUrl = dUrl + "10001&stock=" + stock + "&market=" + market + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {

            var detailedDataStr = "";
            var allDefind = 0;//总值

            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[0]++;
                if (errorTimes[0] < 3) {
                    setTimeout(function () {
                        capitalFlow();
                    }, 500);
                } else {
                    errorTimes[0] = 0;
                    wrongAction[0] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成资金流向数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    newZjldata = [{ value: 0, name: '卖出', text: "卖出", itemStyle: { normal: { color: '#A0A0A0' } } }, { value: 0, name: '买入', text: "买入", itemStyle: { normal: { color: '#C9C9C9' } } }];

                    detailedDataStr = zjlxGridStr;

                    $("#capitalFlowCount").html(detailedDataStr);
                }
            }
            else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {

                $("#popupAlert span").html("您当前所查阅的股票尚未生成数据");
                setTimeout(function () {
                    $("#popupAlert").fadeIn();
                }, 100);

                newZjldata = [{ value: 0, name: '卖出', text: "卖出", itemStyle: { normal: { color: '#A0A0A0' } } }, { value: 0, name: '买入', text: "买入", itemStyle: { normal: { color: '#C9C9C9' } } }];

                detailedDataStr = zjlxGridStr;

            } else {
                var TableInfo = data.TableInfo;
                var j = TableInfo.length;

                if (j > 0) {
                    var time = data.rq.toString().split(" ")[1];

                    if (!time || time == "undefined") {
                    } else {
                        timeCount = parseFloat(time.substr(0, 2) + "." + time.substr(2, 2));
                        time_ = time.substr(0, 2) + ":" + time.substr(2, 2);
                    }
                    $("#time_1").html(time_);
                    $("#time_2").html(time_);

                    if (timeCount >= 9.15 && timeCount <= 9.25) {
                        data_zjlx = "----";

                        newZjldata = [{ value: 0, name: '卖出', text: "卖出", itemStyle: { normal: { color: '#A0A0A0' } } }, { value: 0, name: '买入', text: "买入", itemStyle: { normal: { color: '#C9C9C9' } } }];

                        detailedDataStr = zjlxGridStr;

                        $("#capitalFlowCount").html(detailedDataStr);
                    }
                    else {
                        if (data.tp == "1") {
                            data_zjlx = "停牌";
                        } else if (data.tp == "2") {
                            data_zjlx = "临时停牌";
                        }

                        zjlData = [{ value: TableInfo[0].s500, name: '卖出500万以上', text: "特大单卖出", itemStyle: { normal: { color: '#417505' } } }, { value: TableInfo[0].s200d500, name: '卖出200-500万', text: "大单卖出", itemStyle: { normal: { color: '#1AAE52' } } }, { value: TableInfo[0].s50d200, name: '卖出50-200万', text: "中单卖出", itemStyle: { normal: { color: '#77D99C' } } }, { value: TableInfo[0].s50, name: '卖出50万以下', text: "小单卖出", itemStyle: { normal: { color: '#B5F3CD' } } }, { value: TableInfo[0].b50, name: '买入50万以下', text: "小单买入", itemStyle: { normal: { color: '#FFBD00' } } }, { value: TableInfo[0].b50d200, name: '买入50-200万', text: "中单买入", itemStyle: { normal: { color: '#FF8420' } } }, { value: TableInfo[0].b200d500, name: '买入200-500万', text: "大单买入", itemStyle: { normal: { color: '#EB333B' } } }, { value: TableInfo[0].b500, name: '买入500万以上', text: "特大单买入", itemStyle: { normal: { color: '#D0011B' } } }];

                        for (var i = 0; i < zjlData.length; i++) {
                            allDefind += parseFloat(zjlData[i].value);
                        }

                        for (var i = 0; i < zjlData.length; i++) {
                            zjlValueLen = zjlData[i].value.toString().split(".")[0].toString().length;
                            if (zjlData[i].value == 0) {
                                zjlData[i].valueRe = "- -";
                                zjlData[i].zjlxbl = "- -";
                            } else {
                                if (zjlValueLen > 0 && zjlValueLen <= 4) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value).toFixed(0);
                                } else if (zjlValueLen > 4 && zjlValueLen <= 8) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value / 10000).toFixed(0) + "万";
                                } else if (zjlValueLen > 8 && zjlValueLen <= 12) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value / 100000000).toFixed(2) + "亿";
                                } else if (zjlValueLen > 12 && zjlValueLen <= 16) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value / 1000000000000).toFixed(2) + "万亿";
                                } else if (zjlValueLen > 16) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value / 10000000000000000).toFixed(2) + "亿亿";
                                }
                                zjlData[i].zjlxbl = (parseFloat(zjlData[i].value / allDefind) * 100).toFixed(2) + "%";
                            }
                        }

                        detailedDataStr =
                            '<div class="row padding capitalFlow-detailLine">' +
                            '   <div class="col col-24" style="text-align:center;">　</div>' +
                            '   <div class="col col-19" style="text-align:center;">买入</div>' +
                            '   <div class="col col-19" style="text-align:center;">买入比</div>' +
                            '   <div class="col col-19" style="text-align:center;">卖出</div>' +
                            '   <div class="col col-19" style="text-align:center;">卖出比</div>' +
                            '</div>' +
                            '<div class="row padding capitalFlow-detailLine-middle">' +
                            '   <div class="col col-24" style="text-align:center;">500万以上</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[7].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[7].zjlxbl + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[0].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[0].zjlxbl + '</div>' +
                            '</div>' +
                            '<div class="row padding capitalFlow-detailLine-middle">' +
                            '   <div class="col col-24" style="text-align:center;">200-500万</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[6].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[6].zjlxbl + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[1].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[1].zjlxbl + '</div>' +
                            '</div>' +
                            '<div class="row padding capitalFlow-detailLine-middle">' +
                            '   <div class="col col-24" style="text-align:center;">50-200万</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[5].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[5].zjlxbl + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[2].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[2].zjlxbl + '</div>' +
                            '</div>' +
                            '<div class="row padding capitalFlow-detailLine-end">' +
                            '   <div class="col col-24" style="text-align:center;">50万以下</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[4].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[4].zjlxbl + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[3].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[3].zjlxbl + '</div>' +
                            '</div>';

                        $("#capitalFlowCount").html(detailedDataStr);

                        if (zjlData[0].value == 0 && zjlData[1].value == 0 && zjlData[2].value == 0 && zjlData[3].value == 0 && zjlData[4].value == 0 && zjlData[5].value == 0 && zjlData[6].value == 0 && zjlData[7].value == 0) {
                            newZjldata = [{ value: 0, name: '卖出', text: "卖出", itemStyle: { normal: { color: '#A0A0A0' } } }, { value: 0, name: '买入', text: "买入", itemStyle: { normal: { color: '#C9C9C9' } } }];
                        } else {
                            for (var i = 0; i < zjlData.length; i++) {
                                if (zjlData[i].value == 0) {

                                } else {
                                    newZjldata.push(zjlData[i]);
                                }
                            }
                        }
                    }
                }
            }

            draw(newZjldata);
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

    // 图表使用-------------------
    function draw(zjlData) {
        // ajax callback
        myChart.hideLoading();

        var radiusVal = ['49%', '55%'];
        var pieFontSize = 14;

        if (windowWidth >= 350) {

        } else {
            radiusVal = ['36%', '42%'];
            pieFontSize = 10;
        }
        //排序可打开以下代码（逻辑需要重设）
        //var allValue = 0;
        //for (var i = 0; i < zjlData.length; i++) {
        //    allValue += zjlData[i].value;
        //}
        //for (var i = 0; i < zjlData.length; i++) {
        //    zjlData[i].name = zjlData[i].name +":" + parseFloat(zjlData[i].value / allValue * 100).toFixed(1) +"%";
        //}
        //zjlData.sort(function (a, b) { return a.value - b.value });
        var option = {
            //title: {
            //    show: false,
            //    text: data_zjlx,
            //    textStyle: {
            //        color: textColor,
            //        fontStyle: 'normal',
            //        fontSize: pieFontSize
            //    },
            //    left: 'center',
            //    top: '50%',
            //},
            tooltip: {
                trigger: 'item',
                textStyle: {
                    fontWeight: 'bold',
                    fontSize: 16,
                },
                formatter: function (a, b, c, d) {
                    console.log(b)
                    var relVal = '';
                    relVal = '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a.color + '"></span>' + a.data.text + ' : ';
                    relVal += a.percent + "%";
                    return relVal;
                }
            },
            textStyle: {
                color: textColor,
                fontStyle: 'normal',
                fontSize: 12,
            },
            backgroundColor: 'transparent',
            calculable: true,
            series: [
                {
                    name: '资金流向',
                    type: 'pie',
                    selectedMode: 'single',
                    selectedOffset: 5,
                    radius: radiusVal,
                    center: ['50%', '55%'],
                    avoidLabelOverlap: true,
                    itemStyle: {
                        normal: {
                            borderWidth: 0,
                            label: {
                                show: true,
                                textStyle: {
                                    color: textColor,
                                },
                                formatter: function (a, b, c, d) {
                                    if (a.data.value == 0) {
                                        var relVal = '';
                                        relVal = a.data.text.substring(2) + "\n";
                                        relVal += "---";
                                        return relVal;
                                    } else {
                                        var relVal = '';
                                        relVal = a.data.name.substring(2) + "\n";
                                        relVal += a.percent + '%';

                                        return relVal;
                                    }
                                }
                            },
                            //labelLine: {
                            //    show: true,
                            //    length: 10,
                            //    length2: 8

                            //},
                        },
                        emphasis: {
                            label: {
                                show: true,
                                position: 'center',
                                textStyle: {
                                    fontSize: '14',
                                    fontWeight: 'bold'
                                }
                            }
                        }
                    },
                    data: zjlData//.sort(function (a, b) { return a.value - b.value })
                }
            ]
        };

        myChart.setOption(option);

        // 图表清空-------------------
        //myChart.clear();

        // 图表释放-------------------
        //myChart.dispose();
    }
}
function reGetCapitalFlow() {
    // 图表实例化------------------
    var myChart = echarts.init(document.getElementById('capitalFlow'), yg_theme);
    var title = "";

    // 过渡---------------------
    myChart.showLoading({
        text: '\n正在努力的读取数据中...',    //loading话术
        maskColor: 'rgba(255, 255, 255, 0)',
        textColor: textColor,
    });
    // ajax getting data...............
    var zjlData = [], newZjldata = [];
    var zjlValueLen = 0;//资金流数据位数

    var fUrl = dUrl + "10001&stock=" + stock + "&market=" + market + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {

            var detailedDataStr = "";
            var allDefind = 0;//总值

            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[0]++;
                if (errorTimes[0] < 3) {
                    setTimeout(function () {
                        capitalFlow();
                    }, 500);
                } else {
                    errorTimes[0] = 0;
                    wrongAction[0] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成资金流向数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    newZjldata = [{ value: 0, name: '卖出', text: "卖出", itemStyle: { normal: { color: '#A0A0A0' } } }, { value: 0, name: '买入', text: "买入", itemStyle: { normal: { color: '#C9C9C9' } } }];

                    detailedDataStr = zjlxGridStr;

                    $("#capitalFlowCount").html(detailedDataStr);
                }
            }
            else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {

                $("#popupAlert span").html("您当前所查阅的股票尚未生成数据");
                setTimeout(function () {
                    $("#popupAlert").fadeIn();
                }, 100);

                newZjldata = [{ value: 0, name: '卖出', text: "卖出", itemStyle: { normal: { color: '#A0A0A0' } } }, { value: 0, name: '买入', text: "买入", itemStyle: { normal: { color: '#C9C9C9' } } }];

                detailedDataStr = zjlxGridStr;

            } else {
                var TableInfo = data.TableInfo;
                var j = TableInfo.length;

                if (j > 0) {
                    var time = data.rq.toString().split(" ")[1];

                    if (!time || time == "undefined") {
                    } else {
                        timeCount = parseFloat(time.substr(0, 2) + "." + time.substr(2, 2));
                        time_ = time.substr(0, 2) + ":" + time.substr(2, 2);
                    }
                    $("#time_1").html(time_);
                    $("#time_2").html(time_);

                    if (timeCount >= 9.15 && timeCount <= 9.25) {
                        data_zjlx = "----";

                        newZjldata = [{ value: 0, name: '卖出', text: "卖出", itemStyle: { normal: { color: '#A0A0A0' } } }, { value: 0, name: '买入', text: "买入", itemStyle: { normal: { color: '#C9C9C9' } } }];

                        detailedDataStr = zjlxGridStr;

                        $("#capitalFlowCount").html(detailedDataStr);
                    }
                    else {
                        if (data.tp == "1") {
                            data_zjlx = "停牌";
                        } else if (data.tp == "2") {
                            data_zjlx = "临时停牌";
                        }

                        zjlData = [{ value: TableInfo[0].s500, name: '卖出500万以上', text: "特大单卖出", itemStyle: { normal: { color: '#417505' } } }, { value: TableInfo[0].s200d500, name: '卖出200-500万', text: "大单卖出", itemStyle: { normal: { color: '#1AAE52' } } }, { value: TableInfo[0].s50d200, name: '卖出50-200万', text: "中单卖出", itemStyle: { normal: { color: '#77D99C' } } }, { value: TableInfo[0].s50, name: '卖出50万以下', text: "小单卖出", itemStyle: { normal: { color: '#B5F3CD' } } }, { value: TableInfo[0].b50, name: '买入50万以下', text: "小单买入", itemStyle: { normal: { color: '#FFBD00' } } }, { value: TableInfo[0].b50d200, name: '买入50-200万', text: "中单买入", itemStyle: { normal: { color: '#FF8420' } } }, { value: TableInfo[0].b200d500, name: '买入200-500万', text: "大单买入", itemStyle: { normal: { color: '#EB333B' } } }, { value: TableInfo[0].b500, name: '买入500万以上', text: "特大单买入", itemStyle: { normal: { color: '#D0011B' } } }];

                        for (var i = 0; i < zjlData.length; i++) {
                            allDefind += parseFloat(zjlData[i].value);
                        }

                        for (var i = 0; i < zjlData.length; i++) {
                            zjlValueLen = zjlData[i].value.toString().split(".")[0].toString().length;
                            if (zjlData[i].value == 0) {
                                zjlData[i].valueRe = "- -";
                                zjlData[i].zjlxbl = "- -";
                            } else {
                                if (zjlValueLen > 0 && zjlValueLen <= 4) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value).toFixed(0);
                                } else if (zjlValueLen > 4 && zjlValueLen <= 8) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value / 10000).toFixed(0) + "万";
                                } else if (zjlValueLen > 8 && zjlValueLen <= 12) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value / 100000000).toFixed(2) + "亿";
                                } else if (zjlValueLen > 12 && zjlValueLen <= 16) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value / 1000000000000).toFixed(2) + "万亿";
                                } else if (zjlValueLen > 16) {
                                    zjlData[i].valueRe = parseFloat(zjlData[i].value / 10000000000000000).toFixed(2) + "亿亿";
                                }
                                zjlData[i].zjlxbl = (parseFloat(zjlData[i].value / allDefind) * 100).toFixed(2) + "%";
                            }
                        }

                        detailedDataStr =
                            '<div class="row padding capitalFlow-detailLine">' +
                            '   <div class="col col-24" style="text-align:center;">　</div>' +
                            '   <div class="col col-19" style="text-align:center;">买入</div>' +
                            '   <div class="col col-19" style="text-align:center;">买入比</div>' +
                            '   <div class="col col-19" style="text-align:center;">卖出</div>' +
                            '   <div class="col col-19" style="text-align:center;">卖出比</div>' +
                            '</div>' +
                            '<div class="row padding capitalFlow-detailLine-middle">' +
                            '   <div class="col col-24" style="text-align:center;">500万以上</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[7].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[7].zjlxbl + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[0].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[0].zjlxbl + '</div>' +
                            '</div>' +
                            '<div class="row padding capitalFlow-detailLine-middle">' +
                            '   <div class="col col-24" style="text-align:center;">200-500万</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[6].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[6].zjlxbl + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[1].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[1].zjlxbl + '</div>' +
                            '</div>' +
                            '<div class="row padding capitalFlow-detailLine-middle">' +
                            '   <div class="col col-24" style="text-align:center;">50-200万</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[5].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[5].zjlxbl + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[2].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[2].zjlxbl + '</div>' +
                            '</div>' +
                            '<div class="row padding capitalFlow-detailLine-end">' +
                            '   <div class="col col-24" style="text-align:center;">50万以下</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[4].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[4].zjlxbl + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[3].valueRe + '</div>' +
                            '   <div class="col col-19" style="text-align:center;">' + zjlData[3].zjlxbl + '</div>' +
                            '</div>';

                        $("#capitalFlowCount").html(detailedDataStr);

                        if (zjlData[0].value == 0 && zjlData[1].value == 0 && zjlData[2].value == 0 && zjlData[3].value == 0 && zjlData[4].value == 0 && zjlData[5].value == 0 && zjlData[6].value == 0 && zjlData[7].value == 0) {
                            newZjldata = [{ value: 0, name: '卖出', text: "卖出", itemStyle: { normal: { color: '#A0A0A0' } } }, { value: 0, name: '买入', text: "买入", itemStyle: { normal: { color: '#C9C9C9' } } }];
                        } else {
                            for (var i = 0; i < zjlData.length; i++) {
                                if (zjlData[i].value == 0) {

                                } else {
                                    newZjldata.push(zjlData[i]);
                                }
                            }
                        }
                    }
                }
            }

            draw(newZjldata);
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

    // 图表使用-------------------
    function draw(zjlData) {
        // ajax callback
        myChart.hideLoading();

        var radiusVal = ['49%', '55%'];
        var pieFontSize = 14;

        if (windowWidth >= 350) {

        } else {
            radiusVal = ['36%', '42%'];
            pieFontSize = 10;
        }
        //排序可打开以下代码（逻辑需要重设）
        //var allValue = 0;
        //for (var i = 0; i < zjlData.length; i++) {
        //    allValue += zjlData[i].value;
        //}
        //for (var i = 0; i < zjlData.length; i++) {
        //    zjlData[i].name = zjlData[i].name +":" + parseFloat(zjlData[i].value / allValue * 100).toFixed(1) +"%";
        //}
        //zjlData.sort(function (a, b) { return a.value - b.value });
        var option = {
            //title: {
            //    show: false,
            //    text: data_zjlx,
            //    textStyle: {
            //        color: textColor,
            //        fontStyle: 'normal',
            //        fontSize: pieFontSize
            //    },
            //    left: 'center',
            //    top: '50%',
            //},
            tooltip: {
                trigger: 'item',
                textStyle: {
                    fontWeight: 'bold',
                    fontSize: 16,
                },
                formatter: function (a, b, c, d) {
                    console.log(b)
                    var relVal = '';
                    relVal = '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a.color + '"></span>' + a.data.text + ' : ';
                    relVal += a.percent + "%";
                    return relVal;
                }
            },
            textStyle: {
                color: textColor,
                fontStyle: 'normal',
                fontSize: 12,
            },
            backgroundColor: 'transparent',
            calculable: true,
            series: [
                {
                    name: '资金流向',
                    type: 'pie',
                    selectedMode: 'single',
                    selectedOffset: 5,
                    radius: radiusVal,
                    center: ['50%', '55%'],
                    avoidLabelOverlap: true,
                    itemStyle: {
                        normal: {
                            borderWidth: 0,
                            label: {
                                show: true,
                                textStyle: {
                                    color: textColor,
                                },
                                formatter: function (a, b, c, d) {
                                    if (a.data.value == 0) {
                                        var relVal = '';
                                        relVal = a.data.text.substring(2) + "\n";
                                        relVal += "---";
                                        return relVal;
                                    } else {
                                        var relVal = '';
                                        relVal = a.data.name.substring(2) + "\n";
                                        relVal += a.percent + '%';

                                        return relVal;
                                    }
                                }
                            },
                            //labelLine: {
                            //    show: true,
                            //    length: 10,
                            //    length2: 8

                            //},
                        },
                        emphasis: {
                            label: {
                                show: true,
                                position: 'center',
                                textStyle: {
                                    fontSize: '14',
                                    fontWeight: 'bold'
                                }
                            }
                        }
                    },
                    data: zjlData//.sort(function (a, b) { return a.value - b.value })
                }
            ]
        };

        myChart.setOption(option);

        // 图表清空-------------------
        //myChart.clear();

        // 图表释放-------------------
        //myChart.dispose();
    }
}

function hourStatistics() {

    var mrData = [];
    var mrData1 = [];
    var mcData = [];
    var mcData1 = [];

    var ddtj = [];//提炼数据用

    var hourValueLen = "";//计算数值单位

    var hourStr = "";

    var fUrl = dUrl + "10002&stock=" + stock + "&market=" + market + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {
            var dddw = "";
            var rlen = new Array(4);
            var glen = new Array(4);

            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[1]++;
                if (errorTimes[1] < 3) {
                    for (var i = 0; i < 4 ; i++) {
                        rlen[i] = 0;
                        glen[i] = 0;
                    }

                    for (var i = 0; i < 4; i++) {
                        mrData1[i] = " - - ";
                        mcData1[i] = " - - ";
                    }
                    hourStr = "";

                    setTimeout(function () {
                        hourStatistics();
                    }, 500);
                } else {
                    errorTimes[1] = 0;
                    wrongAction[1] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成每小时大单数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    for (var i = 0; i < 4 ; i++) {
                        rlen[i] = 0;
                        glen[i] = 0;
                    }

                    for (var i = 0; i < 4; i++) {
                        mrData1[i] = " - - ";
                        mcData1[i] = " - - ";
                    }
                    hourStr = "";
                }

            } else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {

                for (var i = 0; i < 4 ; i++) {
                    rlen[i] = 0;
                    glen[i] = 0;
                }

                for (var i = 0; i < 4; i++) {
                    mrData1[i] = " - - ";
                    mcData1[i] = " - - ";
                }
                hourStr = "";

            } else {

                var TableInfo = data.TableInfo;
                var j = TableInfo.length;
                if (j > 0) {
                    for (var i = 0; i < j; i++) {
                        ddtj.push(Math.abs(TableInfo[i].bbmoney));
                        ddtj.push(Math.abs(TableInfo[i].sbmoney));
                    }

                    for (var i = 0; i < j; i++) {

                        if (TableInfo[i].bbmoney == 0) {
                            mrData.push(0);
                            mrData1.push(0);
                        } else {
                            hourValueLen = TableInfo[i].bbmoney.toString().split(".")[0].toString().length;
                            mrData.push(parseFloat(TableInfo[i].bbmoney).toFixed(2));
                            if (hourValueLen > 0 && hourValueLen <= 4) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney).toFixed(0));
                            } else if (hourValueLen > 4 && hourValueLen <= 8) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney / 10000).toFixed(0) + "万");
                            } else if (hourValueLen > 8 && hourValueLen <= 12) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney / 100000000).toFixed(2) + "亿");
                            } else if (hourValueLen > 12 && hourValueLen <= 16) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney / 1000000000000).toFixed(2) + "万亿");
                            } else if (hourValueLen > 16) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney / 10000000000000000).toFixed(2) + "亿亿");
                            }
                        }

                        if (TableInfo[i].sbmoney == 0) {
                            mcData.push(0);
                            mcData1.push(0);
                        } else {
                            hourValueLen = TableInfo[i].sbmoney.toString().split(".")[0].toString().length;
                            mcData.push(parseFloat(TableInfo[i].sbmoney).toFixed(2));
                            if (hourValueLen > 0 && hourValueLen <= 4) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney).toFixed(0));
                            } else if (hourValueLen > 4 && hourValueLen <= 8) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney / 10000).toFixed(0) + "万");
                            } else if (hourValueLen > 8 && hourValueLen <= 12) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney / 100000000).toFixed(2) + "亿");
                            } else if (hourValueLen > 12 && hourValueLen <= 16) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney / 1000000000000).toFixed(2) + "万亿");
                            } else if (hourValueLen > 16) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney / 10000000000000000).toFixed(2) + "亿亿");
                            }
                        }

                    }

                    function setFloat(x) {
                        return parseFloat(x);
                    }

                    for (var i = 0; i < 4 ; i++) {
                        rlen[i] = parseFloat(setFloat(mrData[i]) / (setFloat(mrData[i]) + setFloat(mcData[i])) * 100);
                        glen[i] = parseFloat(setFloat(mcData[i]) / (setFloat(mrData[i]) + setFloat(mcData[i])) * 100);
                    }

                    for (var i = 0; i < mrData1.length; i++) {
                        if (mrData1[i] == 0) {
                            mrData1[i] = " - - 万";
                        }
                        if (mcData1[i] == 0) {
                            mcData1[i] = " - - 万";
                        }
                    }
                    hourStr = "";
                }
            }

            hourStr =
                '<div class="row hs-out-border">' +
                '   <div class="col col-25 col-center hsTime">9:30-10:30</div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">买入</div>' +
                '   <div class="col col-15 col-center" style="text-align:right;">' + mrData1[0] + '&nbsp;</div>' +
                '   <div class="col col-26 col-center" style="text-align:center;">' +
                '       <div style="width:96%;margin-left:2%;margin-right:2%;">' +
                '           <div class="r9" style="width:' + rlen[0] + '%;"></div>' +
                '           <div class="g9" style="width:' + glen[0] + '%;"></div>' +
                '       </div>' +
                '   </div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">卖出</div>' +
                '   <div class="col col-14 col-center" style="text-align:right;">' + mcData1[0] + '</div>' +
                '</div>' +
                '<div class="row hs-out-border">' +
                '   <div class="col col-25 col-center hsTime">10:30-11:30</div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">买入</div>' +
                '   <div class="col col-15 col-center" style="text-align:right;">' + mrData1[1] + '&nbsp;</div>' +
                '   <div class="col col-26 col-center">' +
                '       <div style="width:96%;margin-left:2%;margin-right:2%;">' +
                '           <div class="r9" style="width:' + rlen[1] + '%;"></div>' +
                '           <div class="g9" style="width:' + glen[1] + '%;"></div>' +
                '       </div>' +
                '   </div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">卖出</div>' +
                '   <div class="col col-14 col-center" style="text-align:right;">' + mcData1[1] + '</div>' +
                '</div>' +
                '<div class="row hs-out-border">' +
                '   <div class="col col-25 col-center hsTime">13:00-14:00</div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">买入</div>' +
                '   <div class="col col-15 col-center" style="text-align:right;">' + mrData1[2] + '&nbsp;</div>' +
                '   <div class="col col-26 col-center">' +
                '       <div style="width:96%;margin-left:2%;margin-right:2%;">' +
                '           <div class="r9" style="width:' + rlen[2] + '%;"></div>' +
                '           <div class="g9" style="width:' + glen[2] + '%;"></div>' +
                '       </div>' +
                '   </div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">卖出</div>' +
                '   <div class="col col-14 col-center" style="text-align:right;">' + mcData1[2] + '</div>' +
                '</div>' +
                '<div class="row hs-out-border" style="margin-bottom:5px;">' +
                '   <div class="col col-25 col-center hsTime">14:00-15:00</div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">买入</div>' +
                '   <div class="col col-15 col-center" style="text-align:right;">' + mrData1[3] + '&nbsp;</div>' +
                '   <div class="col col-26 col-center">' +
                '       <div style="width:96%;margin-left:2%;margin-right:2%;">' +
                '           <div class="r9" style="width:' + rlen[3] + '%;"></div>' +
                '           <div class="g9" style="width:' + glen[3] + '%;"></div>' +
                '       </div>' +
                '   </div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">卖出</div>' +
                '   <div class="col col-14 col-center" style="text-align:right;">' + mcData1[3] + '</div>' +
                '</div>';

            $("#hourStatistics").html(hourStr);
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

}
function reGeHourStatistics() {

    var mrData = [];
    var mrData1 = [];
    var mcData = [];
    var mcData1 = [];

    var ddtj = [];//提炼数据用

    var hourValueLen = "";//计算数值单位

    var hourStr = "";

    var fUrl = dUrl + "10002&stock=" + stock + "&market=" + market + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {
            var dddw = "";
            var rlen = new Array(4);
            var glen = new Array(4);

            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[1]++;
                if (errorTimes[1] < 3) {
                    for (var i = 0; i < 4 ; i++) {
                        rlen[i] = 0;
                        glen[i] = 0;
                    }

                    for (var i = 0; i < 4; i++) {
                        mrData1[i] = " - - ";
                        mcData1[i] = " - - ";
                    }
                    hourStr = "";

                    setTimeout(function () {
                        hourStatistics();
                    }, 500);
                } else {
                    errorTimes[1] = 0;
                    wrongAction[1] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成每小时大单数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    for (var i = 0; i < 4 ; i++) {
                        rlen[i] = 0;
                        glen[i] = 0;
                    }

                    for (var i = 0; i < 4; i++) {
                        mrData1[i] = " - - ";
                        mcData1[i] = " - - ";
                    }
                    hourStr = "";
                }

            } else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {

                for (var i = 0; i < 4 ; i++) {
                    rlen[i] = 0;
                    glen[i] = 0;
                }

                for (var i = 0; i < 4; i++) {
                    mrData1[i] = " - - ";
                    mcData1[i] = " - - ";
                }
                hourStr = "";

            } else {

                var TableInfo = data.TableInfo;
                var j = TableInfo.length;
                if (j > 0) {
                    for (var i = 0; i < j; i++) {
                        ddtj.push(Math.abs(TableInfo[i].bbmoney));
                        ddtj.push(Math.abs(TableInfo[i].sbmoney));
                    }

                    for (var i = 0; i < j; i++) {

                        if (TableInfo[i].bbmoney == 0) {
                            mrData.push(0);
                            mrData1.push(0);
                        } else {
                            hourValueLen = TableInfo[i].bbmoney.toString().split(".")[0].toString().length;
                            mrData.push(parseFloat(TableInfo[i].bbmoney).toFixed(2));
                            if (hourValueLen > 0 && hourValueLen <= 4) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney).toFixed(0));
                            } else if (hourValueLen > 4 && hourValueLen <= 8) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney / 10000).toFixed(0) + "万");
                            } else if (hourValueLen > 8 && hourValueLen <= 12) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney / 100000000).toFixed(2) + "亿");
                            } else if (hourValueLen > 12 && hourValueLen <= 16) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney / 1000000000000).toFixed(2) + "万亿");
                            } else if (hourValueLen > 16) {
                                mrData1.push(parseFloat(TableInfo[i].bbmoney / 10000000000000000).toFixed(2) + "亿亿");
                            }
                        }

                        if (TableInfo[i].sbmoney == 0) {
                            mcData.push(0);
                            mcData1.push(0);
                        } else {
                            hourValueLen = TableInfo[i].sbmoney.toString().split(".")[0].toString().length;
                            mcData.push(parseFloat(TableInfo[i].sbmoney).toFixed(2));
                            if (hourValueLen > 0 && hourValueLen <= 4) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney).toFixed(0));
                            } else if (hourValueLen > 4 && hourValueLen <= 8) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney / 10000).toFixed(0) + "万");
                            } else if (hourValueLen > 8 && hourValueLen <= 12) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney / 100000000).toFixed(2) + "亿");
                            } else if (hourValueLen > 12 && hourValueLen <= 16) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney / 1000000000000).toFixed(2) + "万亿");
                            } else if (hourValueLen > 16) {
                                mcData1.push(parseFloat(TableInfo[i].sbmoney / 10000000000000000).toFixed(2) + "亿亿");
                            }
                        }

                    }

                    function setFloat(x) {
                        return parseFloat(x);
                    }

                    for (var i = 0; i < 4 ; i++) {
                        rlen[i] = parseFloat(setFloat(mrData[i]) / (setFloat(mrData[i]) + setFloat(mcData[i])) * 100);
                        glen[i] = parseFloat(setFloat(mcData[i]) / (setFloat(mrData[i]) + setFloat(mcData[i])) * 100);
                    }

                    for (var i = 0; i < mrData1.length; i++) {
                        if (mrData1[i] == 0) {
                            mrData1[i] = " - - 万";
                        }
                        if (mcData1[i] == 0) {
                            mcData1[i] = " - - 万";
                        }
                    }
                    hourStr = "";
                }
            }

            hourStr =
                '<div class="row hs-out-border">' +
                '   <div class="col col-25 col-center hsTime">9:30-10:30</div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">买入</div>' +
                '   <div class="col col-15 col-center" style="text-align:right;">' + mrData1[0] + '&nbsp;</div>' +
                '   <div class="col col-26 col-center" style="text-align:center;">' +
                '       <div style="width:96%;margin-left:2%;margin-right:2%;">' +
                '           <div class="r9" style="width:' + rlen[0] + '%;"></div>' +
                '           <div class="g9" style="width:' + glen[0] + '%;"></div>' +
                '       </div>' +
                '   </div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">卖出</div>' +
                '   <div class="col col-14 col-center" style="text-align:right;">' + mcData1[0] + '</div>' +
                '</div>' +
                '<div class="row hs-out-border">' +
                '   <div class="col col-25 col-center hsTime">10:30-11:30</div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">买入</div>' +
                '   <div class="col col-15 col-center" style="text-align:right;">' + mrData1[1] + '&nbsp;</div>' +
                '   <div class="col col-26 col-center">' +
                '       <div style="width:96%;margin-left:2%;margin-right:2%;">' +
                '           <div class="r9" style="width:' + rlen[1] + '%;"></div>' +
                '           <div class="g9" style="width:' + glen[1] + '%;"></div>' +
                '       </div>' +
                '   </div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">卖出</div>' +
                '   <div class="col col-14 col-center" style="text-align:right;">' + mcData1[1] + '</div>' +
                '</div>' +
                '<div class="row hs-out-border">' +
                '   <div class="col col-25 col-center hsTime">13:00-14:00</div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">买入</div>' +
                '   <div class="col col-15 col-center" style="text-align:right;">' + mrData1[2] + '&nbsp;</div>' +
                '   <div class="col col-26 col-center">' +
                '       <div style="width:96%;margin-left:2%;margin-right:2%;">' +
                '           <div class="r9" style="width:' + rlen[2] + '%;"></div>' +
                '           <div class="g9" style="width:' + glen[2] + '%;"></div>' +
                '       </div>' +
                '   </div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">卖出</div>' +
                '   <div class="col col-14 col-center" style="text-align:right;">' + mcData1[2] + '</div>' +
                '</div>' +
                '<div class="row hs-out-border" style="margin-bottom:5px;">' +
                '   <div class="col col-25 col-center hsTime">14:00-15:00</div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">买入</div>' +
                '   <div class="col col-15 col-center" style="text-align:right;">' + mrData1[3] + '&nbsp;</div>' +
                '   <div class="col col-26 col-center">' +
                '       <div style="width:96%;margin-left:2%;margin-right:2%;">' +
                '           <div class="r9" style="width:' + rlen[3] + '%;"></div>' +
                '           <div class="g9" style="width:' + glen[3] + '%;"></div>' +
                '       </div>' +
                '   </div>' +
                '   <div class="col col-10 col-center" style="text-align:center;">卖出</div>' +
                '   <div class="col col-14 col-center" style="text-align:right;">' + mcData1[3] + '</div>' +
                '</div>';

            $("#hourStatistics").html(hourStr);
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

}

function capitalFlowsIO() {
    // 图表实例化------------------
    var myChart = echarts.init(document.getElementById('capitalFlowsIO'), yg_theme);

    // 过渡---------------------
    myChart.showLoading({
        text: '正在努力的读取数据中...',    //loading话术
        maskColor: 'rgba(255, 255, 255, 0)',
        textColor: textColor,
    });

    // ajax getting data...............
    var xAxisData = [], xAxisData_ = [];
    var data1 = [];
    var data2 = [];

    var fUrl = dUrl + "10003&stock=" + stock + "&market=" + market + "&dayNums=" + dayNums + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {
            var monthPosArry = [];
            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[2]++;
                if (errorTimes[2] < 3) {
                    setTimeout(function () {
                        capitalFlowsIO();
                    }, 500);
                } else {
                    errorTimes[2] = 0;
                    wrongAction[2] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成净资金流入/流出数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    data1.push('');
                    data2.push('');
                    xAxisData.push(date.toString().split("-")[2]);
                    xAxisData_.push(date.toString().substr(5, 5));
                    $("#capitalFlowsIO_Month").html(parseInt(date.toString().substr(5, 2)) + "月");
                }
            } else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {
                data1.push('');
                data2.push('');
                xAxisData.push(date.toString().split("-")[2]);
                xAxisData_.push(date.toString().substr(5, 5));
                $("#capitalFlowsIO_Month").html(parseInt(date.toString().substr(5, 2)) + "月");
            } else {
                var TableInfo = data.TableInfo;
                var j = TableInfo.length;
                var jz = 0;//净值
                if (j > 0) {
                    $("#capitalFlowsIO_Month").html(parseInt(TableInfo[0].Date.toString().substr(4, 2)) + "月");
                    if (j > 15) {
                        for (var i = 0; i < 15; i++) {
                            xAxisData_.push(TableInfo[i].Date.toString().substr(4, 2) + "-" + TableInfo[i].Date.toString().substr(6, 2));
                            xAxisData.push(TableInfo[i].Date.toString().substr(6, 2));

                            jz = parseFloat((TableInfo[i].bturnover - TableInfo[i].sturnover) / 10000).toFixed(2)
                            if (jz > 0) {
                                data1.push(jz);
                                data2.push('');
                            } else if (jz < 0) {
                                data1.push('');
                                data2.push(jz);
                            } else {
                                data1.push('');
                                data2.push('');
                            }
                        }
                    } else {
                        for (var i = 0; i < j; i++) {
                            xAxisData_.push(TableInfo[i].Date.toString().substr(4, 2) + "-" + TableInfo[i].Date.toString().substr(6, 2));
                            xAxisData.push(TableInfo[i].Date.toString().substr(6, 2));
                            jz = parseFloat((TableInfo[i].bturnover - TableInfo[i].sturnover) / 10000).toFixed(2)
                            if (jz > 0) {
                                data1.push(jz);
                                data2.push('');
                            } else if (jz < 0) {
                                data1.push('');
                                data2.push(jz);
                            } else {
                                data1.push('');
                                data2.push('');
                            }
                        }
                    }
                    monthPosArry = data1.concat(data2);
                    var lp = monthPosArry.length;
                    monthPosArry.sort(sortNumber);
                    if (Math.abs(monthPosArry[0]) >= Math.abs(monthPosArry[lp - 1])) {
                        $("#capitalFlowsIO_Month").css("margin-left", Math.abs(monthPosArry[0]).toString().split(".")[0].length * 8 + 5 + "px");
                    } else {
                        $("#capitalFlowsIO_Month").css("margin-left", Math.abs(monthPosArry[lp - 1]).toString().split(".")[0].length * 8 + "px");
                    }
                }
            }

            //ob.reverse();
            draw();
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

    //ajax callback
    function draw() {

        myChart.hideLoading();

        // 图表使用------------------- 
        var itemStyle = {
            normal: {
                borderWidth: 1
            },
            emphasis: {
                barBorderWidth: 1,
                shadowBlur: 10,
                shadowOffsetX: 0,
                shadowOffsetY: 0
                //shadowColor: 'rgba(0,0,0,0.5)'
            }
        };
        var option = {
            backgroundColor: 'transparent',
            //legend: {
            //    data: ['bar', 'bar2'],
            //    align: 'left',
            //    left: 10
            //},
            tooltip: {
                trigger: 'axis',
                formatter: function (a, b, c) {
                    var relVal = '';
                    if (a[0].value > 0 && !a[1].value) {
                        relVal = xAxisData_[b.toString().split("_")[2]] + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[0].color + '"></span>' + a[0].seriesName + ":" + a[0].data;
                    }
                    if (a[1].value < 0 && !a[0].value) {
                        relVal = xAxisData_[b.toString().split("_")[2]] + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[1].color + '"></span>' + a[1].seriesName + ":" + a[1].data;
                    }
                    if (!a[1].value && !a[0].value) {
                        relVal = xAxisData_[b.toString().split("_")[2]] + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:#c9c9c9"></span>该日无数据';
                    }
                    return relVal;
                }
            },
            xAxis: {
                data: xAxisData,
                silent: false,
                splitLine: { show: false },
                splitArea: { show: false },
                axisTick: {
                    length: 0,
                },
                type: 'category',
                axisLabel: {
                    rotate: 0,
                    interval: 0,
                    textStyle: {
                        color: '#999'
                    }
                },
                axisLine: {
                    onZero: true,
                    show: true,
                    lineStyle: {
                        color: canvas_x0,
                        width: 1,
                        type: 'solid'
                    }
                },
            },
            yAxis: {
                inverse: false,
                splitArea: { show: false },
                axisTick: {
                    length: 0,
                },
                axisLine: {
                    show: false,
                },
                type: 'value',
                splitLine: {
                    show: true,
                    interval: 'auto',
                    lineStyle: {
                        type: 'dotted',
                        color: [ht_linecolor],
                    }
                },
                axisLabel: {
                    textStyle: {
                        color: '#999'
                    }
                },

            },
            grid: {
                top: 30,
                left: '1%',
                right: '4%',
                containLabel: true
            },
            series: [
                {
                    name: '流入',
                    type: 'bar',
                    barWidth: 10,
                    stack: 'one',
                    itemStyle: itemStyle,
                    itemStyle: {
                        normal: { color: '#EB333B' }
                    },
                    data: data1
                },
                {
                    name: '流出',
                    type: 'bar',
                    barWidth: 10,
                    stack: 'one',
                    itemStyle: itemStyle,
                    itemStyle: {
                        normal: { color: '#1AAE52' }
                    },
                    data: data2
                }
            ]
        };
        //myChart.on('brushSelected', renderBrushed);
        //function renderBrushed(params) {
        //    var brushed = [];
        //    var brushComponent = params.batch[0];
        //    for (var sIdx = 0; sIdx < brushComponent.selected.length; sIdx++) {
        //        var rawIndices = brushComponent.selected[sIdx].dataIndex;
        //        brushed.push('[Series ' + sIdx + '] ' + rawIndices.join(', '));
        //    }
        //    myChart.setOption({
        //        title: {
        //            backgroundColor: '#333',
        //            text: 'SELECTED DATA INDICES: \n' + brushed.join('\n'),
        //            bottom: 0,
        //            right: 0,
        //            width: 100,
        //            textStyle: {
        //                fontSize: 12,
        //                color: '#fff'
        //            }
        //        }
        //    });
        //}

        myChart.setOption(option);

        // 图表清空-------------------
        //myChart.clear();
        // 图表释放-------------------
        //myChart.dispose();
    }
}
function reGetCapitalFlowsIO() {
    // 图表实例化------------------

    var myChart = echarts.init(document.getElementById('capitalFlowsIO'), yg_theme);

    // 过渡---------------------
    myChart.showLoading({
        text: '正在努力的读取数据中...',    //loading话术
        maskColor: 'rgba(255, 255, 255, 0)',
        textColor: textColor,
    });

    // ajax getting data...............
    var xAxisData = [];
    var data1 = [];
    var data2 = [];

    var fUrl = dUrl + "10003&stock=" + stock + "&market=" + market + "&dayNums=" + dayNums + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {
            var monthPosArry = [];
            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[2]++;
                if (errorTimes[2] < 3) {
                    setTimeout(function () {
                        capitalFlowsIO();
                    }, 500);
                } else {
                    errorTimes[2] = 0;
                    wrongAction[2] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成净资金流入/流出数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    data1.push('');
                    data2.push('');
                    xAxisData.push(date.toString().split("-")[2]);
                    xAxisData_.push(date.toString().substr(5, 5));
                    $("#capitalFlowsIO_Month").html(parseInt(date.toString().substr(5, 2)) + "月");
                }
            } else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {
                data1.push('');
                data2.push('');
                xAxisData.push(date.toString().split("-")[2]);
                xAxisData_.push(date.toString().substr(5, 5));
                $("#capitalFlowsIO_Month").html(parseInt(date.toString().substr(5, 2)) + "月");
            } else {
                var TableInfo = data.TableInfo;
                var j = TableInfo.length;
                var jz = 0;//净值
                if (j > 0) {
                    $("#capitalFlowsIO_Month").html(parseInt(TableInfo[0].Date.toString().substr(4, 2)) + "月");
                    if (j > 15) {
                        for (var i = 0; i < 15; i++) {
                            xAxisData_.push(TableInfo[i].Date.toString().substr(4, 2) + "-" + TableInfo[i].Date.toString().substr(6, 2));
                            xAxisData.push(TableInfo[i].Date.toString().substr(6, 2));

                            jz = parseFloat((TableInfo[i].bturnover - TableInfo[i].sturnover) / 10000).toFixed(2)
                            if (jz > 0) {
                                data1.push(jz);
                                data2.push('');
                            } else if (jz < 0) {
                                data1.push('');
                                data2.push(jz);
                            } else {
                                data1.push('');
                                data2.push('');
                            }
                        }
                    } else {
                        for (var i = 0; i < j; i++) {
                            xAxisData_.push(TableInfo[i].Date.toString().substr(4, 2) + "-" + TableInfo[i].Date.toString().substr(6, 2));
                            xAxisData.push(TableInfo[i].Date.toString().substr(6, 2));
                            jz = parseFloat((TableInfo[i].bturnover - TableInfo[i].sturnover) / 10000).toFixed(2)
                            if (jz > 0) {
                                data1.push(jz);
                                data2.push('');
                            } else if (jz < 0) {
                                data1.push('');
                                data2.push(jz);
                            } else {
                                data1.push('');
                                data2.push('');
                            }
                        }
                    }
                    monthPosArry = data1.concat(data2);
                    var lp = monthPosArry.length;
                    monthPosArry.sort(sortNumber);
                    if (Math.abs(monthPosArry[0]) >= Math.abs(monthPosArry[lp - 1])) {
                        $("#capitalFlowsIO_Month").css("margin-left", Math.abs(monthPosArry[0]).toString().split(".")[0].length * 8 + 4 + "px");
                    } else {
                        $("#capitalFlowsIO_Month").css("margin-left", Math.abs(monthPosArry[lp - 1]).toString().split(".")[0].length * 8 + "px");
                    }
                }
            }

            //ob.reverse();
            draw();
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

    // ajax callback
    function draw() {

        myChart.hideLoading();

        // 图表使用------------------- 
        var itemStyle = {
            normal: {
                borderWidth: 1
            },
            emphasis: {
                barBorderWidth: 1,
                shadowBlur: 10,
                shadowOffsetX: 0,
                shadowOffsetY: 0
                //shadowColor: 'rgba(0,0,0,0.5)'
            }
        };
        var option = {
            backgroundColor: 'transparent',
            //legend: {
            //    data: ['bar', 'bar2'],
            //    align: 'left',
            //    left: 10
            //},
            tooltip: {
                trigger: 'axis',
                formatter: function (a, b, c) {
                    var relVal = '';
                    if (a[0].value > 0 && !a[1].value) {
                        relVal = xAxisData_[b.toString().split("_")[2]] + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[0].color + '"></span>' + a[0].seriesName + ":" + a[0].data;
                    }
                    if (a[1].value < 0 && !a[0].value) {
                        relVal = xAxisData_[b.toString().split("_")[2]] + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[1].color + '"></span>' + a[1].seriesName + ":" + a[1].data;
                    }
                    if (!a[1].value && !a[0].value) {
                        relVal = xAxisData_[b.toString().split("_")[2]] + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:#c9c9c9"></span>该日无数据';
                    }
                    return relVal;
                }
            },
            xAxis: {
                data: xAxisData,
                silent: false,
                splitLine: { show: false },
                splitArea: { show: false },
                axisTick: {
                    length: 0,
                },
                type: 'category',
                axisLabel: {
                    rotate: 0,
                    interval: 0,
                    textStyle: {
                        color: '#999'
                    }
                },
                axisLine: {
                    onZero: true,
                    show: true,
                    lineStyle: {
                        color: canvas_x0,
                        width: 1,
                        type: 'solid'
                    }
                },
            },
            yAxis: {
                inverse: false,
                splitArea: { show: false },
                axisTick: {
                    length: 0,
                },
                axisLine: {
                    show: false,
                },
                type: 'value',
                splitLine: {
                    show: true,
                    interval: 'auto',
                    lineStyle: {
                        type: 'dotted',
                        color: [ht_linecolor],
                    }
                },
                axisLabel: {
                    textStyle: {
                        color: '#999'
                    }
                },

            },
            grid: {
                top: 30,
                left: '1%',
                right: '4%',
                containLabel: true
            },
            series: [
                {
                    name: '流入',
                    type: 'bar',
                    barWidth: 10,
                    stack: 'one',
                    itemStyle: itemStyle,
                    itemStyle: {
                        normal: { color: '#EB333B' }
                    },
                    data: data1
                },
                {
                    name: '流出',
                    type: 'bar',
                    barWidth: 10,
                    stack: 'one',
                    itemStyle: itemStyle,
                    itemStyle: {
                        normal: { color: '#1AAE52' }
                    },
                    data: data2
                }
            ]
        };
        //myChart.on('brushSelected', renderBrushed);
        //function renderBrushed(params) {
        //    var brushed = [];
        //    var brushComponent = params.batch[0];
        //    for (var sIdx = 0; sIdx < brushComponent.selected.length; sIdx++) {
        //        var rawIndices = brushComponent.selected[sIdx].dataIndex;
        //        brushed.push('[Series ' + sIdx + '] ' + rawIndices.join(', '));
        //    }
        //    myChart.setOption({
        //        title: {
        //            backgroundColor: '#333',
        //            text: 'SELECTED DATA INDICES: \n' + brushed.join('\n'),
        //            bottom: 0,
        //            right: 0,
        //            width: 100,
        //            textStyle: {
        //                fontSize: 12,
        //                color: '#fff'
        //            }
        //        }
        //    });
        //}

        myChart.setOption(option);

        // 图表清空-------------------
        //myChart.clear();
        // 图表释放-------------------
        //myChart.dispose();
    }
}

function blockTrade() {
    // 图表实例化------------------

    var myChart = echarts.init(document.getElementById('blockTrade'), yg_theme);

    // 过渡---------------------
    myChart.showLoading({
        text: '正在努力的读取数据中...',    //loading话术
        maskColor: 'rgba(255, 255, 255, 0)',
        textColor: textColor,
    });

    // ajax getting data...............
    var blockdate = [], blockdate_ = [];//x轴日期
    var bdata = [];
    var sdata = [];

    var allData = [];//提炼数据单位用

    var ddmxdw = "";//单位名称
    var fUrl = dUrl + "10004&stock=" + stock + "&market=" + market + "&dayNums=" + dayNums + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {
            var monthPosArry = [];
            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[3]++;
                if (errorTimes[3] < 3) {
                    setTimeout(function () {
                        blockTrade();
                    }, 500);
                } else {
                    errorTimes[3] = 0;
                    wrongAction[3] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成大单买卖明细数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    bdata.push('0');
                    sdata.push('0');
                    //blockdate.push(date.toString().substr(5, 5));
                    blockdate.push(date.toString().split("-")[2]);
                    blockdate_.push(date.toString().split("-")[2]);
                    $("#blockTrade_Month").html(parseInt(date.toString().substr(5, 2)) + "月");
                }
            } else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {
                bdata.push('0');
                sdata.push('0');
                //blockdate.push(date.toString().substr(5, 5));
                blockdate.push(date.toString().split("-")[2]);
                blockdate_.push(date.toString().split("-")[2]);
                $("#blockTrade_Month").html(parseInt(date.toString().substr(5, 2)) + "月");
            } else {
                var TableInfo = data.TableInfo;
                var j = TableInfo.length;
                if (j > 0) {
                    $("#blockTrade_Month").html(parseInt(TableInfo[0].Date.toString().substr(4, 2)) + "月");
                    if (j > 15) {
                        j = 15;
                        for (var i = 15; i > 0; i--) {
                            blockdate_.push(TableInfo[i].Date.toString().substr(4, 2) + "-" + TableInfo[i].Date.toString().substr(6, 2));
                            blockdate.push(TableInfo[i].Date.toString().substr(6, 2));
                            bdata.push(parseFloat(TableInfo[i].bbmoney).toFixed(2));
                            sdata.push(parseFloat(TableInfo[i].sbmoney).toFixed(2));
                        }

                        blockdate_.reverse();
                        blockdate.reverse();
                        bdata.reverse();
                        sdata.reverse();
                    } else {
                        for (var i = 0; i < j; i++) {
                            blockdate_.push(TableInfo[i].Date.toString().substr(4, 2) + "-" + TableInfo[i].Date.toString().substr(6, 2));
                            blockdate.push(TableInfo[i].Date.toString().substr(6, 2));
                            bdata.push(parseFloat(TableInfo[i].bbmoney).toFixed(2));
                            sdata.push(parseFloat(TableInfo[i].sbmoney).toFixed(2));
                        }
                    }
                }

                allData = bdata.concat(sdata);

                allData.sort(function (a, b) { return a - b });

                var k = allData.length;
                var maxlen = allData[k - 1].toString().split(".")[0].length;
                //var minlen = allData[0].toString().split(".")[0].length;

                if (maxlen < 5) {
                    ddmxdw = "元";
                    for (var i = 0; i < j; i++) {
                        if (parseFloat(Math.abs(bdata[i])).toFixed(2) < 1) {
                            bdata[i] = 0;
                        } else {
                            bdata[i] = (parseFloat(bdata[i]).toFixed(2));
                        }

                        if (parseFloat(Math.abs(sdata[i])).toFixed(2) < 1) {
                            sdata[i] = 0;
                        } else {
                            sdata[i] = (parseFloat(sdata[i]).toFixed(2));
                        }
                    }
                } else if (maxlen >= 5 && maxlen < 10) {
                    ddmxdw = "万元";
                    for (var i = 0; i < j; i++) {
                        bdata[i] = (parseFloat(bdata[i] / 10000).toFixed(2));
                        sdata[i] = (parseFloat(sdata[i] / 10000).toFixed(2));
                    }
                } else if (maxlen >= 10) {
                    ddmxdw = "亿元";
                    for (var i = 0; i < j; i++) {
                        bdata[i] = (parseFloat(bdata[i] / 100000000).toFixed(2));
                        sdata[i] = (parseFloat(sdata[i] / 100000000).toFixed(2));
                    }
                }

                monthPosArry = bdata.concat(sdata);
                var lp = monthPosArry.length;
                monthPosArry.sort(sortNumber);

                if (Math.abs(monthPosArry[0]) >= Math.abs(monthPosArry[lp - 1])) {
                    $("#blockTrade_Month").css("margin-left", Math.abs(monthPosArry[0]).toString().split(".")[0].length * 8 + 4 + "px");
                } else {
                    $("#blockTrade_Month").css("margin-left", Math.abs(monthPosArry[lp - 1]).toString().split(".")[0].length * 8 + "px");

                }

                $("#ddmxdw").html(ddmxdw);

            }

            //ob.reverse();
            draw();
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

    function draw() {
        // ajax callback
        myChart.hideLoading();

        // 图表使用------------------- 
        var option = {
            tooltip: {
                trigger: 'axis',
                //formatter: '{a}<br />{b0}: {c0}<br />{b1}: {c1}',
                formatter: function (a, b, c) {
                    var relVal = '';
                    relVal = blockdate_[b.toString().split("_")[2]] + '<br/>' +
                        '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[0].color + '"></span>' + a[0].seriesName + ":" + a[0].data + "<br/>";
                    relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[1].color + '"></span>' + a[1].seriesName + ":" + a[1].data;
                    return relVal;
                }
            },
            grid: {
                top: 20,
                left: '1%',
                right: '4%',
                containLabel: true
            },
            calculable: true,
            xAxis: [
                {
                    type: 'category',
                    data: blockdate,
                    axisTick: {
                        length: 0,
                    },
                    axisLabel: {
                        rotate: 0,
                        interval: 0,
                        textStyle: {
                            color: '#999'
                        }
                    },
                    axisLine: {
                        show: true,
                        lineStyle: {
                            color: canvas_x0,
                            width: 1,
                            type: 'solid'
                        }
                    },
                    splitArea: {
                        show: false,
                    },
                }
            ],
            yAxis: [
                {
                    splitArea: {
                        show: false
                    },
                    type: 'value',
                    axisTick: {
                        length: 0,
                    },
                    axisLine: {
                        show: false,
                    },
                    splitLine: {
                        show: true,
                        interval: 'auto',
                        lineStyle: {
                            type: 'dotted',
                            color: [ht_linecolor],
                        }
                    },
                    axisLabel: {
                        textStyle: {
                            color: '#999'
                        }
                    },
                }
            ],
            series: [
                {
                    name: '买入',
                    type: 'bar',
                    barWidth: '34%',
                    itemStyle: {
                        normal: { color: '#EB333B' }
                    },
                    data: bdata
                }, {
                    name: '卖出',
                    type: 'bar',
                    barWidth: '34%',
                    itemStyle: {
                        normal: { color: '#1AAE52' }
                    },
                    data: sdata
                }
            ]
        };
        myChart.setOption(option);

        // 图表清空-------------------
        //myChart.clear();

        // 图表释放-------------------
        //myChart.dispose();
    }
}
function reGetBlockTrade() {
    // 图表实例化------------------

    var myChart = echarts.init(document.getElementById('blockTrade'), yg_theme);

    // 过渡---------------------
    myChart.showLoading({
        text: '正在努力的读取数据中...',    //loading话术
        maskColor: 'rgba(255, 255, 255, 0)',
        textColor: textColor,
    });

    // ajax getting data...............
    var blockdate = [];//x轴日期
    var bdata = [];
    var sdata = [];

    var allData = [];//提炼数据单位用

    var ddmxdw = "";//单位名称
    var fUrl = dUrl + "10004&stock=" + stock + "&market=" + market + "&dayNums=" + dayNums + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {
            var monthPosArry = [];
            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[3]++;
                if (errorTimes[3] < 3) {
                    setTimeout(function () {
                        blockTrade();
                    }, 500);
                } else {
                    errorTimes[3] = 0;
                    wrongAction[3] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成大单买卖明细数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    bdata.push('0');
                    sdata.push('0');
                    //blockdate.push(date.toString().substr(5, 5));
                    blockdate.push(date.toString().split("-")[2]);
                    blockdate_.push(date.toString().split("-")[2]);
                    $("#blockTrade_Month").html(parseInt(date.toString().substr(5, 2)) + "月");
                }
            } else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {
                bdata.push('0');
                sdata.push('0');
                //blockdate.push(date.toString().substr(5, 5));
                blockdate.push(date.toString().split("-")[2]);
                blockdate_.push(date.toString().split("-")[2]);
                $("#blockTrade_Month").html(parseInt(date.toString().substr(5, 2)) + "月");
            } else {
                var TableInfo = data.TableInfo;
                var j = TableInfo.length;
                if (j > 0) {
                    $("#blockTrade_Month").html(parseInt(TableInfo[0].Date.toString().substr(4, 2)) + "月");
                    if (j > 15) {
                        j = 15;
                        for (var i = 15; i > 0; i--) {
                            blockdate_.push(TableInfo[i].Date.toString().substr(4, 2) + "-" + TableInfo[i].Date.toString().substr(6, 2));
                            blockdate.push(TableInfo[i].Date.toString().substr(6, 2));
                            bdata.push(parseFloat(TableInfo[i].bbmoney).toFixed(2));
                            sdata.push(parseFloat(TableInfo[i].sbmoney).toFixed(2));
                        }

                        blockdate_.reverse();
                        blockdate.reverse();
                        bdata.reverse();
                        sdata.reverse();
                    } else {
                        for (var i = 0; i < j; i++) {
                            blockdate_.push(TableInfo[i].Date.toString().substr(4, 2) + "-" + TableInfo[i].Date.toString().substr(6, 2));
                            blockdate.push(TableInfo[i].Date.toString().substr(6, 2));
                            bdata.push(parseFloat(TableInfo[i].bbmoney).toFixed(2));
                            sdata.push(parseFloat(TableInfo[i].sbmoney).toFixed(2));
                        }
                    }
                }

                allData = bdata.concat(sdata);

                allData.sort(function (a, b) { return a - b });

                var k = allData.length;
                var maxlen = allData[k - 1].toString().split(".")[0].length;
                //var minlen = allData[0].toString().split(".")[0].length;

                if (maxlen < 5) {
                    ddmxdw = "元";
                    for (var i = 0; i < j; i++) {
                        if (parseFloat(Math.abs(bdata[i])).toFixed(2) < 1) {
                            bdata[i] = 0;
                        } else {
                            bdata[i] = (parseFloat(bdata[i]).toFixed(2));
                        }

                        if (parseFloat(Math.abs(sdata[i])).toFixed(2) < 1) {
                            sdata[i] = 0;
                        } else {
                            sdata[i] = (parseFloat(sdata[i]).toFixed(2));
                        }
                    }
                } else if (maxlen >= 5 && maxlen < 10) {
                    ddmxdw = "万元";
                    for (var i = 0; i < j; i++) {
                        bdata[i] = (parseFloat(bdata[i] / 10000).toFixed(2));
                        sdata[i] = (parseFloat(sdata[i] / 10000).toFixed(2));
                    }
                } else if (maxlen >= 10) {
                    ddmxdw = "亿元";
                    for (var i = 0; i < j; i++) {
                        bdata[i] = (parseFloat(bdata[i] / 100000000).toFixed(2));
                        sdata[i] = (parseFloat(sdata[i] / 100000000).toFixed(2));
                    }
                }

                monthPosArry = bdata.concat(sdata);
                var lp = monthPosArry.length;
                monthPosArry.sort(sortNumber);

                if (Math.abs(monthPosArry[0]) >= Math.abs(monthPosArry[lp - 1])) {
                    $("#blockTrade_Month").css("margin-left", Math.abs(monthPosArry[0]).toString().split(".")[0].length * 8 + 5 + "px");
                } else {
                    $("#blockTrade_Month").css("margin-left", Math.abs(monthPosArry[lp - 1]).toString().split(".")[0].length * 8 + "px");

                }

                $("#ddmxdw").html(ddmxdw);

            }

            //ob.reverse();
            draw();
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

    function draw() {
        // ajax callback
        myChart.hideLoading();

        // 图表使用------------------- 
        var option = {
            tooltip: {
                trigger: 'axis',
                //formatter: '{a}<br />{b0}: {c0}<br />{b1}: {c1}',
                formatter: function (a, b, c) {
                    var relVal = '';
                    relVal = blockdate_[b.toString().split("_")[2]] + '<br/>' +
                        '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[0].color + '"></span>' + a[0].seriesName + ":" + a[0].data + "<br/>";
                    relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[1].color + '"></span>' + a[1].seriesName + ":" + a[1].data;
                    return relVal;
                }
            },
            grid: {
                top: 20,
                left: '1%',
                right: '4%',
                containLabel: true
            },
            calculable: true,
            xAxis: [
                {
                    type: 'category',
                    data: blockdate,
                    axisTick: {
                        length: 0,
                    },
                    axisLabel: {
                        rotate: 0,
                        interval: 0,
                        textStyle: {
                            color: '#999'
                        }
                    },
                    axisLine: {
                        show: true,
                        lineStyle: {
                            color: canvas_x0,
                            width: 1,
                            type: 'solid'
                        }
                    },
                    splitArea: {
                        show: false,
                    },
                }
            ],
            yAxis: [
                {
                    splitArea: {
                        show: false
                    },
                    type: 'value',
                    axisTick: {
                        length: 0,
                    },
                    axisLine: {
                        show: false,
                    },
                    splitLine: {
                        show: true,
                        interval: 'auto',
                        lineStyle: {
                            type: 'dotted',
                            color: [ht_linecolor],
                        }
                    },
                    axisLabel: {
                        textStyle: {
                            color: '#999'
                        }
                    },
                }
            ],
            series: [
                {
                    name: '买入',
                    type: 'bar',
                    barWidth: '34%',
                    itemStyle: {
                        normal: { color: '#EB333B' }
                    },
                    data: bdata
                }, {
                    name: '卖出',
                    type: 'bar',
                    barWidth: '34%',
                    itemStyle: {
                        normal: { color: '#1AAE52' }
                    },
                    data: sdata
                }
            ]
        };
        myChart.setOption(option);

        // 图表清空-------------------
        //myChart.clear();

        // 图表释放-------------------
        //myChart.dispose();
    }
}

function fundFlow() {
    // 图表实例化------------------

    var myChart = echarts.init(document.getElementById('fundFlow'), yg_theme);

    // 过渡---------------------
    myChart.showLoading({
        text: '\n正在努力的读取数据中...',    //loading话术
        maskColor: 'rgba(255, 255, 255, 0)',
        textColor: textColor,
    });

    // ajax getting data...............

    var fundFlowData = [];//计算单位用
    var fundFlowData1 = [];//提炼数据用
    var lrData = [];
    var lcData = [];
    var yData = [];
    var mathMin = "", mathMax = "";
    var lrPos = 'right', lcPos = 'left';
    var fUrl = dUrl + "10005&stock=" + stock + "&market=" + market + "&dateStr=" + dateStr + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {

            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[4]++;
                if (errorTimes[4] < 3) {
                    setTimeout(function () {
                        fundFlow();
                    }, 500);
                } else {
                    errorTimes[4] = 0;
                    wrongAction[4] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成大单买卖明细数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    lrData.push('', '', '', '', '');
                    lcData.push('', '', '', '', '');
                    yData.push('20日', '15日', '5日', '3日', '当日');

                }
            } else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {
                lrData.push('', '', '', '', '');
                lcData.push('', '', '', '', '');
                yData.push('20日', '15日', '5日', '3日', '当日');
            } else {
                var TableInfo = data.TableInfo;
                var j = TableInfo.length;
                for (var i = 0; i < j; i++) {
                    fundFlowData.push(Math.abs(TableInfo[i].jlr));
                }
                fundFlowData.sort(function (a, b) { return a - b });
                var mathlen = fundFlowData[j - 1].toString().split(".")[0].length;
                var zjlldw = "";

                if (mathlen < 5) {
                    zjlldw = "元";
                    for (var i = 0; i < j; i++) {
                        if (parseFloat(Math.abs(TableInfo[i].jlr)).toFixed(2) < 1) {
                            fundFlowData1.push(0);
                        } else {
                            fundFlowData1.push(parseFloat(TableInfo[i].jlr).toFixed(2));
                        }
                    }
                } else if (mathlen >= 5 && mathlen < 10) {
                    zjlldw = "万元";
                    for (var i = 0; i < j; i++) {
                        fundFlowData1.push(parseFloat(TableInfo[i].jlr / 10000).toFixed(2));
                    }
                } else if (mathlen >= 10) {
                    zjlldw = "亿元";
                    for (var i = 0; i < j; i++) {
                        fundFlowData1.push(parseFloat(TableInfo[i].jlr / 100000000).toFixed(2));
                    }
                }
                $("#zjlldw").html(zjlldw);

                lrData = [];
                lcData = [];
                for (var i = 0; i < j; i++) {
                    if (fundFlowData1[i] > 0) {
                        lrData.push(fundFlowData1[i]);
                        lcData.push('');
                    } else {
                        lcData.push(fundFlowData1[i]);
                        lrData.push('');
                    }
                }
                lrData.reverse();
                lcData.reverse();

                var mathMinmaxArry = lrData.concat(lcData);
                var beelv = "";//用于计算值的位数

                mathMin = parseInt(Math.min.apply(null, mathMinmaxArry) - 1);
                mathMax = parseInt(Math.max.apply(null, mathMinmaxArry) + 1);

                if (mathMin == mathMax && mathMax == 0) {
                    lrPos = 'right';
                    lcPos = 'right';
                } else {
                    if (mathMin > 0 && mathMax >= 0) {
                        mathMax = parseInt(mathMax + mathMax / 2 + 1);
                    } else if (mathMin < 0 && mathMax > 0) {
                        if (Math.abs(mathMax) >= Math.abs(mathMin)) {
                            //beelv = parseInt(Math.abs(mathMax).toString().split(".")[0].toString().length);
                            mathMin = parseInt(mathMin - mathMax / 2 - 1);
                            mathMax = parseInt(mathMax + mathMax / 2 + 1);
                        } else {
                            //beelv = parseInt(Math.abs(mathMin).toString().split(".")[0].toString().length);
                            mathMin = parseInt(mathMin + mathMin / 2 - 1);
                            mathMax = parseInt(mathMax - mathMin / 2 + 1);
                        }
                    } else if (mathMin < 0 && mathMax < 0) {
                        mathMin = parseInt(mathMin + mathMin / 2 - 1);
                    } else if (mathMin < 0 && mathMax == 0) {
                        mathMin = parseInt(mathMin + mathMin / 2 - 1);
                    } else if (mathMin > 0 && mathMax > 0) {
                        mathMax = parseInt(mathMax + mathMax / 2 + 1);
                    } else if (mathMin == 0 && mathMax > 0) {
                        mathMin = parseInt(mathMin - mathMax);
                        mathMax = parseInt(mathMax + mathMax / 2 + 1);
                    } else {
                        mathMin = parseInt(mathMin + mathMin / 2 - 1);
                        mathMax = parseInt(mathMax + mathMax / 2 + 1);
                    }
                }

                var date = dateStr.split(",");
                for (var i = 0; i < date.length; i++) {
                    if (date[i] == 1) {
                        yData.push('当日');
                    } else {
                        yData.push(date[i] + '日');
                    }
                }
                yData.reverse();
            }

            draw(yData, lrData, lcData);
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

    function draw(yData, lrData, lcData) {
        // ajax callback
        myChart.hideLoading();

        // 图表使用------------------- 
        var option = {
            tooltip: {
                trigger: 'axis',
                axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                    type: 'shadow',        // 默认为直线，可选为：'line' | 'shadow'
                    shadowStyle: {
                        color: 'rgba(0, 0, 0, 0.2)',
                        shadowBlur: 10,
                        shadowColor: 'rgba(100, 100, 100, 0.3)',
                        shadowOffsetX: 0,
                        shadowOffsetY: 0,
                        opacity: 0.5,
                    },
                },
                formatter: function (a, b, c, d) {
                    var relVal = '';
                    if (a[0].value > 0 && !a[1].value) {
                        relVal = a[0].name + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[0].color + '"></span>' + a[0].seriesName + ":" + a[0].data;
                    }
                    if (a[1].value < 0 && !a[0].value) {
                        relVal = a[1].name + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[1].color + '"></span>' + a[1].seriesName + ":" + a[1].data;
                    }
                    if (!a[1].value && !a[0].value) {
                        relVal = a[1].name + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:#c9c9c9"></span>此期间无资金流动';
                    }
                    return relVal;
                }
            },
            grid: {
                top: 20,
                left: '1%',
                right: '4%',
                containLabel: true
            },
            xAxis: {
                type: 'category',
                axisLine: {
                    show: true,
                    lineStyle: {
                        color: canvas_x0,
                        width: 1,
                        type: 'solid'
                    }
                },
                axisTick: {
                    length: 0,
                },
                axisLabel: {
                    textStyle: {
                        color: '#999'
                    }
                },
                splitArea: {
                    show: false,
                },
                data: yData,
                //boundaryGap: ['30%', '30%'],
                min: mathMin,
                max: mathMax
            },
            yAxis: {
                type: 'value',
                boundaryGap: ['20%', '20%'],
                axisLine: {
                    show: false
                },
                axisTick: {
                    length: 0,
                },
                splitLine: {
                    show: true,
                    interval: 'auto',
                    lineStyle: {
                        type: 'dotted',
                        color: [ht_linecolor],
                    }
                },
                splitArea: {
                    show: false,
                },
                axisLabel: {
                    textStyle: {
                        color: '#999'
                    }
                }
            },
            series: [
                {
                    //barGap: '10%',
                    //legendHoverLink: true,
                    name: '流入',
                    type: 'bar',
                    barWidth: '50%',
                    stack: '总量',
                    itemStyle: {
                        normal: { color: '#EB333B' }
                    },
                    label: {
                        normal: {
                            show: true,
                            position: 'top',
                            textStyle: {
                                color: label_color,
                            }
                        }
                    },
                    data: lrData
                },
                {
                    //barGap: '10%',
                    //legendHoverLink: true,
                    name: '流出',
                    type: 'bar',
                    barWidth: 32,
                    stack: '总量',
                    itemStyle: {
                        normal: { color: '#1AAE52' }
                    },
                    label: {
                        normal: {
                            show: true,
                            position: 'bottom',
                            textStyle: {
                                color: label_color,
                            }
                        }
                    },
                    data: lcData
                }
            ]
        }
        myChart.setOption(option);

        // 图表清空-------------------
        //myChart.clear();

        // 图表释放-------------------
        //myChart.dispose();
    }
}
function reGetFundFlow() {
    // 图表实例化------------------

    var myChart = echarts.init(document.getElementById('fundFlow'), yg_theme);

    // 过渡---------------------
    myChart.showLoading({
        text: '\n正在努力的读取数据中...',    //loading话术
        maskColor: 'rgba(255, 255, 255, 0)',
        textColor: textColor,
    });

    // ajax getting data...............

    var fundFlowData = [];//计算单位用
    var fundFlowData1 = [];//提炼数据用
    var lrData = [];
    var lcData = [];
    var yData = [];
    var mathMin = "", mathMax = "";
    var lrPos = 'right', lcPos = 'left';
    var fUrl = dUrl + "10005&stock=" + stock + "&market=" + market + "&dateStr=" + dateStr + "&yg_time=" + yg_time;
    $.ajax({
        type: "post",
        url: fUrl,
        async: true,
        cache: false,
        timeout: 20000, //超时时间：20s
        dataType: "json",
        //jsonp:"callbackparam", //服务端用于接收callback调用的function名的参数
        //jsonpCallback:"success_jsonpCallback", //callback的function名称
        beforeSend: function (xmlHttpRequest) {
        },
        success: function (data, textStatus, status) {

            if (data.hasOwnProperty("ErrorCode") && data.ErrorCode == "-9007") {
                errorTimes[4]++;
                if (errorTimes[4] < 3) {
                    setTimeout(function () {
                        fundFlow();
                    }, 500);
                } else {
                    errorTimes[4] = 0;
                    wrongAction[4] = 1;
                    $("#popupAlert span").html("您当前所查阅的股票尚未生成大单买卖明细数据，请稍后查阅");
                    setTimeout(function () {
                        $("#popupAlert").fadeIn();
                    }, 100);

                    lrData.push('', '', '', '', '');
                    lcData.push('', '', '', '', '');
                    yData.push('20日', '15日', '5日', '3日', '当日');

                }
            } else if (data.hasOwnProperty("errcode") && (data.errcode == "-1001" || data.errcode == "-0002")) {
                lrData.push('', '', '', '', '');
                lcData.push('', '', '', '', '');
                yData.push('20日', '15日', '5日', '3日', '当日');
            } else {
                var TableInfo = data.TableInfo;
                var j = TableInfo.length;
                for (var i = 0; i < j; i++) {
                    fundFlowData.push(Math.abs(TableInfo[i].jlr));
                }
                fundFlowData.sort(function (a, b) { return a - b });
                var mathlen = fundFlowData[j - 1].toString().split(".")[0].length;
                var zjlldw = "";

                if (mathlen < 5) {
                    zjlldw = "元";
                    for (var i = 0; i < j; i++) {
                        if (parseFloat(Math.abs(TableInfo[i].jlr)).toFixed(2) < 1) {
                            fundFlowData1.push(0);
                        } else {
                            fundFlowData1.push(parseFloat(TableInfo[i].jlr).toFixed(2));
                        }
                    }
                } else if (mathlen >= 5 && mathlen < 10) {
                    zjlldw = "万元";
                    for (var i = 0; i < j; i++) {
                        fundFlowData1.push(parseFloat(TableInfo[i].jlr / 10000).toFixed(2));
                    }
                } else if (mathlen >= 10) {
                    zjlldw = "亿元";
                    for (var i = 0; i < j; i++) {
                        fundFlowData1.push(parseFloat(TableInfo[i].jlr / 100000000).toFixed(2));
                    }
                }
                $("#zjlldw").html(zjlldw);

                lrData = [];
                lcData = [];
                for (var i = 0; i < j; i++) {
                    if (fundFlowData1[i] > 0) {
                        lrData.push(fundFlowData1[i]);
                        lcData.push('');
                    } else {
                        lcData.push(fundFlowData1[i]);
                        lrData.push('');
                    }
                }
                lrData.reverse();
                lcData.reverse();

                var mathMinmaxArry = lrData.concat(lcData);
                var beelv = "";//用于计算值的位数

                mathMin = parseInt(Math.min.apply(null, mathMinmaxArry) - 1);
                mathMax = parseInt(Math.max.apply(null, mathMinmaxArry) + 1);

                if (mathMin == mathMax && mathMax == 0) {
                    lrPos = 'right';
                    lcPos = 'right';
                } else {
                    if (mathMin > 0 && mathMax >= 0) {
                        mathMax = parseInt(mathMax + mathMax / 2 + 1);
                    } else if (mathMin < 0 && mathMax > 0) {
                        if (Math.abs(mathMax) >= Math.abs(mathMin)) {
                            //beelv = parseInt(Math.abs(mathMax).toString().split(".")[0].toString().length);
                            mathMin = parseInt(mathMin - mathMax / 2 - 1);
                            mathMax = parseInt(mathMax + mathMax / 2 + 1);
                        } else {
                            //beelv = parseInt(Math.abs(mathMin).toString().split(".")[0].toString().length);
                            mathMin = parseInt(mathMin + mathMin / 2 - 1);
                            mathMax = parseInt(mathMax - mathMin / 2 + 1);
                        }
                    } else if (mathMin < 0 && mathMax < 0) {
                        mathMin = parseInt(mathMin + mathMin / 2 - 1);
                    } else if (mathMin < 0 && mathMax == 0) {
                        mathMin = parseInt(mathMin + mathMin / 2 - 1);
                    } else if (mathMin > 0 && mathMax > 0) {
                        mathMax = parseInt(mathMax + mathMax / 2 + 1);
                    } else if (mathMin == 0 && mathMax > 0) {
                        mathMin = parseInt(mathMin - mathMax);
                        mathMax = parseInt(mathMax + mathMax / 2 + 1);
                    } else {
                        mathMin = parseInt(mathMin + mathMin / 2 - 1);
                        mathMax = parseInt(mathMax + mathMax / 2 + 1);
                    }
                }

                var date = dateStr.split(",");
                for (var i = 0; i < date.length; i++) {
                    if (date[i] == 1) {
                        yData.push('当日');
                    } else {
                        yData.push(date[i] + '日');
                    }
                }
                yData.reverse();
            }

            draw(yData, lrData, lcData);
        },
        complete: function (xmlHttpRequest, textStatus) {
        },
        error: function (xmlHttpRequest, textStatus, status, errorThrown) {
            if (textStatus == "timeout") {
                console.log("数据请求超时");
            } else if (textStatus == "error") {
                console.log("数据请求返回错误");
            } else if (textStatus == "parsererror") {
                console.log("数据请求返回格式错误");
            } else {
                console.log("数据请求出现异常");
            }
        }
    });

    function draw(yData, lrData, lcData) {
        // ajax callback
        myChart.hideLoading();

        // 图表使用------------------- 
        var option = {
            tooltip: {
                trigger: 'axis',
                axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                    type: 'shadow',        // 默认为直线，可选为：'line' | 'shadow'
                    shadowStyle: {
                        color: 'rgba(0, 0, 0, 0.2)',
                        shadowBlur: 10,
                        shadowColor: 'rgba(100, 100, 100, 0.3)',
                        shadowOffsetX: 0,
                        shadowOffsetY: 0,
                        opacity: 0.5,
                    },
                },
                formatter: function (a, b, c, d) {
                    var relVal = '';
                    if (a[0].value > 0 && !a[1].value) {
                        relVal = a[0].name + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[0].color + '"></span>' + a[0].seriesName + ":" + a[0].data;
                    }
                    if (a[1].value < 0 && !a[0].value) {
                        relVal = a[1].name + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:' + a[1].color + '"></span>' + a[1].seriesName + ":" + a[1].data;
                    }
                    if (!a[1].value && !a[0].value) {
                        relVal = a[1].name + "<br/>";
                        relVal += '<span style="display:inline-block;margin-right:5px;border-radius:10px;width:9px;height:9px;background-color:#c9c9c9"></span>此期间无资金流动';
                    }
                    return relVal;
                }
            },
            grid: {
                top: 20,
                left: '1%',
                right: '4%',
                containLabel: true
            },
            xAxis: {
                type: 'category',
                axisLine: {
                    show: true,
                    lineStyle: {
                        color: canvas_x0,
                        width: 1,
                        type: 'solid'
                    }
                },
                axisTick: {
                    length: 0,
                },
                axisLabel: {
                    textStyle: {
                        color: '#999'
                    }
                },
                splitArea: {
                    show: false,
                },
                data: yData,
                //boundaryGap: ['30%', '30%'],
                min: mathMin,
                max: mathMax
            },
            yAxis: {
                type: 'value',
                boundaryGap: ['20%', '20%'],
                axisLine: {
                    show: false
                },
                axisTick: {
                    length: 0,
                },
                splitLine: {
                    show: true,
                    interval: 'auto',
                    lineStyle: {
                        type: 'dotted',
                        color: [ht_linecolor],
                    }
                },
                splitArea: {
                    show: false,
                },
                axisLabel: {
                    textStyle: {
                        color: '#999'
                    }
                }
            },
            series: [
                {
                    //barGap: '10%',
                    //legendHoverLink: true,
                    name: '流入',
                    type: 'bar',
                    barWidth: '50%',
                    stack: '总量',
                    itemStyle: {
                        normal: { color: '#EB333B' }
                    },
                    label: {
                        normal: {
                            show: true,
                            position: 'top',
                            textStyle: {
                                color: label_color,
                            }
                        }
                    },
                    data: lrData
                },
                {
                    //barGap: '10%',
                    //legendHoverLink: true,
                    name: '流出',
                    type: 'bar',
                    barWidth: 32,
                    stack: '总量',
                    itemStyle: {
                        normal: { color: '#1AAE52' }
                    },
                    label: {
                        normal: {
                            show: true,
                            position: 'bottom',
                            textStyle: {
                                color: label_color,
                            }
                        }
                    },
                    data: lcData
                }
            ]
        }
        myChart.setOption(option);

        // 图表清空-------------------
        //myChart.clear();

        // 图表释放-------------------
        //myChart.dispose();
    }
}

/**********执行加载**********/
function closeDi() {
    $("#diagnosisInstructions").fadeOut(300);
    setTimeout(function () {
        $("#diagnosisInstructions").remove();
    }, 300);
}
/**********简单排序**********/
function sortNumber(a, b) {
    return a - b
}

$(function () {

    yg_time = GetNowTime2();

    var css1 = document.getElementById("cssChange");

    //skinRememberG = localStorage.getItem("skinRemember2");

    skinRememberG = $.getUrlParam('isdark');

    //皮肤加载判断
    if (skinRememberG == 0) {
        textColor = "#555";

        yg_theme = lightTheme;

        css1.href = 'css/lightstyle.css';

        ht_zhangse = white_bg_red;//绘图涨色
        ht_diese = white_bg_green;//绘图跌色
        ht_linecolor = white_line_color;//绘图分割线颜色
        ht_second_font_color = white_second_font_color;//绘图二级文本颜色
        canvas_background = white_canvas_background;//绘图背景颜色

        ht_second_font_size = white_second_font_size_ios;

        canvas_x0 = white_canvas_x0;
        themPic = "_w";
        helpBackground = "#fff";
        label_color = white_label_color;
    } else {
        textColor = "#969697";

        yg_theme = darkTheme;

        css1.href = 'css/style.css';
        ht_zhangse = black_bg_red;//绘图涨色
        ht_diese = black_bg_green;//绘图跌色
        ht_linecolor = black_line_color;//绘图分割线颜色
        ht_second_font_color = black_second_font_color;//绘图二级文本颜色
        canvas_background = black_canvas_background;//绘图背景颜色

        ht_second_font_size = black_second_font_size_ios;

        canvas_x0 = black_canvas_x0;
        themPic = "";
        helpBackground = canvas_background;
        label_color = black_label_color;
    }

    var innHtml = '<div class="reminder" id="showHelp">数据仅供参考<img src="img/question_24.png" alt="" style="width:19px;margin-bottom:-5px;margin-left:5px;"/></div>'
        + '<div class="zg-base-div-setting" style="padding-bottom:5px;">'
        + '    <div><span class="zg-title-span">资金流向</span><span class="zg-sub-title-span">更新于<span id="time_1">' + time_ + '</span></span></div>'
        + '    <div id="capitalFlow"></div>'
        + '    <div id="capitalFlowCount" style="width:100%;margin-top: 30px;"></div>'
        + '</div>'
        + '<div style="width:100%;height:12px;background-color:transparent;"></div>'
        + '<div class="zg-base-div-setting" style="">'
        + '    <div><span class="zg-title-span">每小时大单统计</span><span class="zg-sub-title-span">更新于<span id="time_2">' + time_ + '</span></span></div>'
        + '    <div id="hourStatistics"></div>'
        + '</div>'
        + '<div style="width:100%;height:12px;background-color:transparent;"></div>'
        + '<div class="zg-base-div-setting" style="padding-bottom: 20px;">'
        + '    <div><span class="zg-title-span">净资金流入/流出(单位 : 万元)</span></div>'
        + '    <div id="capitalFlowsIO"></div>'
        + '    <div id="capitalFlowsIO_Month"></div>'
        + '</div>'
        + '<div style="width:100%;height:12px;background-color:transparent;"></div>'
        + '<div class="zg-base-div-setting" style="padding-bottom: 20px;">'
        + '    <div><span class="zg-title-span">大单买卖明细(单位 : <span id="ddmxdw">万元</span>)</span></div>'
        + '    <div id="blockTrade"></div>'
        + '    <div id="blockTrade_Month"></div>'
        + '</div>'
        + '<div style="width:100%;height:12px;background-color:transparent;"></div>'
        + '<div class="zg-base-div-setting" style="padding-bottom: 10px;">'
        + '    <div><span class="zg-title-span">资金流量 (单位 : <span id="zjlldw">万元</span>)</span></div>'
        + '    <div id="fundFlow"></div>'
        + '</div>'
    ;

    $("#non-call-auction-canvas").html(innHtml);

    windowHeight = $(window).height();
    windowWidth = $(window).width();
    //panelHeight = windowHeight / 2.5;
    panelHeight = 225;

    $("#capitalFlow").css("height", panelHeight + "px");
    $("#capitalFlow").css("width", (windowWidth - 20) + "px");

    $("#capitalFlowsIO").css("height", panelHeight + "px");
    $("#capitalFlowsIO").css("width", (windowWidth - 20) + "px");

    $("#blockTrade").css("height", panelHeight + "px");
    $("#blockTrade").css("width", (windowWidth - 20) + "px");

    $("#fundFlow").css("height", panelHeight + "px");
    $("#fundFlow").css("width", (windowWidth - 20) + "px");


    $("body").css("height", windowHeight);
    $("body").css("overflow-y", "auto");
    $("body").css("overflow-x", "hidden");

    if (stock == "" || market == "" || stock.length != 6 || market.length != 2 || stock.length == 0 || market.length == 0) {
        $("#popupAlert span").html("数据错误，请返回上级界面");
        setTimeout(function () {
            $("#popupAlert").fadeIn();
        }, 100);
    } else {
        setTimeout(function () {
            capitalFlow();
            hourStatistics();
            capitalFlowsIO();
            blockTrade();
            fundFlow();
        }, 200);
    }

    $("#popupAlert .popup-buttons").click(function () {

        if (wrongAction[0] > 0) {
            reGetCapitalFlow();
        }
        if (wrongAction[1] > 0) {
            reGeHourStatistics();
        }
        if (wrongAction[2] > 0) {
            reGetCapitalFlowsIO();
        }
        if (wrongAction[3] > 0) {
            reGetBlockTrade();
        }
        if (wrongAction[4] > 0) {
            reGetFundFlow();
        }
        $("#popupAlert").fadeOut();
    });

    $("#showHelp").click(function () {
        window.location.href = "gtjayyzfundflow://jumpToHelp";
    });

    //$(window).resize(function () {
    //    capitalFlow();
    //    hourStatistics();
    //    capitalFlowsIO();
    //    blockTrade();
    //    fundFlow();
    //});

});