function showMainPage(data){
    window.document.getElementById("download-tip1").className = "download-tip";
    window.document.getElementById("download-tip2").className = "download-tip";
    window.document.getElementById("download-tip3").className = "download-tip";
     //把加载标识去除
      window.document.getElementById("div1").className = "nodisplay";
	 /*
	  * barDraw
	  */
	var decryptData = JSON.parse(decrypt.json(data)).body;
    //alert(decryptData);
	var barData = decryptData.analysis[0];
	if(barData!= undefined && barData.OUT_BANK_SEC_TRANS != undefined  &&barData.OUT_BANK_SEC_TRANS!="" && barData.OUT_MATCH_AMT != undefined && barData.IN_BANK_SEC_TRANS != undefined &&  barData.IN_MATCH_AMT != undefined ){
        
        //显示所有的图表
        window.document.getElementById("zjlx").className = "title-all1";
        window.document.getElementById("bar").className = "";
        window.document.getElementById("zjlx2").className = "bar2-name";
        window.document.getElementById("zjlx5").className = "out-left";
        window.document.getElementById("zjlx6").className = "out-right";
        window.document.getElementById("zjlx1").className = "bar1-name";
        window.document.getElementById("zjlx3").className = "in-left";
        window.document.getElementById("zjlx4").className = "in-right";
        
        var barDataOut = [-parseInt(barData.OUT_BANK_SEC_TRANS),-parseInt(barData.OUT_MATCH_AMT)];
        var barDataIn = [parseInt(barData.IN_BANK_SEC_TRANS),parseInt(barData.IN_MATCH_AMT)];
        var allBarValue = [parseInt(barData.OUT_BANK_SEC_TRANS),parseInt(barData.OUT_MATCH_AMT),parseInt(barData.IN_BANK_SEC_TRANS),parseInt(barData.IN_MATCH_AMT)];
        var barDataOutUnit = ['元','元'];
        var barDataInUnit = ['元','元'];
        var outIsZero = [false,false];
        var inIsZero = [false,false];
    
    document.getElementById("lab4").innerHTML = "（数据截止到" + barData.TRADE_DATE.substr(0,4) + "年" +　barData.TRADE_DATE.substr(4,2) + "月" + barData.TRADE_DATE.substr(6,2) + "日)";
    
    //取资产流入流出四个值的最大值，来设置x轴的最大值和最小值，使得零处于最当中
    var barMaxValue = 1;
    var barMinValue = -1;
    for(var i=0;i<allBarValue.length;i++){
        if(allBarValue[i] > barMaxValue){
            barMaxValue = allBarValue[i];
        }
    }
    barMinValue = -barMaxValue;
        
    //判断金额是否大于10万，是的话，单位变为万元
    for(var i=0;i<2;i++){
        if(barDataOut[i] == 0){
            barDataOut[i] = barDataOut[i] - 1;
            outIsZero[i] = true;
        }
        if(barDataIn[i] == 0){
            inIsZero[i] = true;
            barDataIn[i] = barDataIn[i] + 1;
        }
        if(barDataOut[i] < -100000){
            //barDataOut[i] = parseFloat((barDataOut[i]/10000).toFixed(2));
            barDataOutUnit[i] = '万元';
        }
        if(barDataIn[i] > 100000){
            //barDataIn[i] = parseFloat((barDataIn[i]/10000).toFixed(2));
            barDataInUnit[i] = '万元';
        }
    }
       
    // bar图
    var myChartBar = echarts.init(document.getElementById('bar'));
    var optionBar = {
        tooltip : {
            show:false,
            showContent:false,
            enterable:false,
        	trigger: 'item'
        },
        calculable : true,
            grid: {
                borderWidth: 0,
                y: 25,
                left:'center',
                y2: 45
            },
            xAxis : [
                     {
                        type : 'value',
                        show: false,
                        min:barMinValue,
                        max:barMaxValue,
                     }
                     ],
            yAxis : [
                     {
                     type : 'category',
                     show: false,
                     data : ['银证转账','交易']
                     }
                     ],
        series : [
                  {
                  name:'银证转账',
                  type:'bar',
                  stack: '总量',
                  barWidth : 18,
                  itemStyle: {
                  	normal: {
                  		label : {
                  			show: true,
                  			position: 'left',
                  			formatter: function(params){
                  				if(params.value == barDataOut[0]){
                  					var value = params.value;
                  					if(barDataOutUnit[0] == '万元'){
                                        if(params.value == -1 && outIsZero[0]){
                                            return  "0元";
                                        }else{
                                            value = parseFloat((params.value/10000).toFixed(2));
                                            return value + barDataOutUnit[0];
                                        }
                                    }else{
                                        if(params.value == -1 && outIsZero[0]){
                                            return "0元";
                                        }else{
                                            return value + barDataOutUnit[0];
                                        }
                  
                                    }
                  				}else{
                  					var value = params.value;
                  					if(barDataOutUnit[1] == '万元'){
                                        if(params.value == -1 && outIsZero[1]){
                                             return "0元";
                                        }else{
                                             value = parseFloat((params.value/10000).toFixed(2));
                                             return value + barDataOutUnit[1];
                                        }
                                     }else{
                                         if(params.value == -1 && outIsZero[1]){
                                             return "0元";
                                         }else{
                                             return value + barDataOutUnit[1];
                                         }
                  
                                     }
                  
                  				}
                  			}
                  	},
                  	color:'#b7bc00'
                  	}
                  },
                  data: barDataOut
                  },
                  {
                  name:'交易',
                  type:'bar',
                  stack: '总量',
                  itemStyle: {
                  	normal: {
                  		label : {
                  			show: true,
                  			position: 'right',
                  			formatter: function(params){
                  				if(params.value == barDataIn[0]){
                  					var value = params.value;
                  					if(barDataInUnit[0] == '万元'){
                                         if(params.value == 1 && inIsZero[0]){
                                              return "0元";
                                         }else{
                                              value = parseFloat((params.value/10000).toFixed(2));
                                              return  value + barDataInUnit[0];
                                         }
                                     }else{
                                         if(params.value == 1 && inIsZero[0]){
                                             return "0元";
                                         }else{
                                             return  value + barDataInUnit[0];
                                         }
                  
                                     }
                  				}else{
                  					var value = params.value;
                  					if(barDataInUnit[1] == '万元'){
                                        if(params.value == 1 && inIsZero[1]){
                                             return "0元";
                                        }else{
                                             value = parseFloat((params.value/10000).toFixed(2));
                                             return  value + barDataInUnit[1];
                                        }
                  
                                    }else{
                                         if(params.value == 1 && inIsZero[1]){
                                             return "0元";
                                         }else{
                                             return  value + barDataInUnit[1];
                                         }
                  
                                    }
                  				}
                  			}
                  		},
                  		color:'#d20f1e'
                  	}
                  },
                  data:barDataIn
                  }
                  ]
    };
      
    myChartBar.setOption(optionBar);

}
	/*
	 * lineDraw
	 */
	//处理30天的累积收益率
(function(window){
    var calculateRate = {
    	dealRate : function(data){
    		var dataRate = [];
	    	var rate = 1;
        	for(var i=0;i<data.length;i++){
		    	var rateDay = data[i] + 1;
		    	rate = rate * rateDay;
		    	//dataRate[i] = (parseFloat((rate -1 ).toFixed(2))*100).toString();
                dataRate[i] = parseFloat(((rate -1 )*100).toFixed(2)).toString();
 
	    	}
        	console.log(data);
	    	console.log(dataRate);
        	return dataRate;
		},
        insert_flg : function(str,flg,sn){
            var newstr="";
            for(var i=0;i<str.length;i+=sn){
                var tmp=str.substring(i, i+sn);
                newstr+=tmp+flg;
            }
            return newstr;
        }
	}
    window.calculateRate = calculateRate;
})(window);

//原来用户，沪深300，达人的数组
var userMasterCust = decryptData.masteranalysiscust;
var masterAnalysis = decryptData.masteranalysis;
var lineDataRate = [];
//合并三者后的数组
var userShort = [];
var masterShort = [];
var dateShort = [];

if(userMasterCust != undefined && masterAnalysis != undefined && userMasterCust != "" && masterAnalysis != ""){
    //为防止达人，沪深与个人的不一致，取两者重合的值
    var endDayChoose = (parseInt(userMasterCust[0].TRADE_DATE) - parseInt(masterAnalysis[0].TRADE_DATE)) > 0 ? masterAnalysis[0].TRADE_DATE : userMasterCust[0].TRADE_DATE;
    var beginDayChoose = (parseInt(userMasterCust[userMasterCust.length-1].TRADE_DATE) - parseInt(masterAnalysis[masterAnalysis.length-1].TRADE_DATE)) > 0 ? userMasterCust[userMasterCust.length-1].TRADE_DATE : masterAnalysis[masterAnalysis.length-1].TRADE_DATE;
    //分为用户和达人两种情况，取endData和beginData的中间数据
    for(var i=0;i<userMasterCust.length;i++){
        if((parseInt(userMasterCust[i].TRADE_DATE) >= beginDayChoose)&&(parseInt(userMasterCust[i].TRADE_DATE) <= endDayChoose)){
            userShort.push(userMasterCust[i]);
            dateShort.push(userMasterCust[i].TRADE_DATE);
        }
    }
    for(var i=0;i<masterAnalysis.length;i++){
        if((parseInt(masterAnalysis[i].TRADE_DATE) >= beginDayChoose)&&(parseInt(masterAnalysis[i].TRADE_DATE) <= endDayChoose)){
            masterShort.push(masterAnalysis[i]);
        }
    }
    
//    alert("me" + userMasterCust[userMasterCust.length-1].TRADE_DATE + "dr" + masterAnalysis[masterAnalysis.length-1].TRADE_DATE + "SmallOne" + endDayChoose);
    
	//显示曲线
	window.document.getElementById("zczs").className = "title-all";
    window.document.getElementById("line").className = "";
    document.getElementById("lab3").innerHTML =  "（" + dateShort[dateShort.length-1].substr(0,4) + "/" + dateShort[dateShort.length-1].substr(4,2) + "/" + dateShort[dateShort.length-1].substr(6,2) + "-" + dateShort[0].substr(0,4) + "/" + dateShort[0].substr(4,2) + "/" + dateShort[0].substr(6,2) + "，共" + dateShort.length + "个交易日）";
    
    //给图标赋值的三个变量
    var lineDataDate = [];
    var hs300Data = [];
    var drData = [];
    for(var i=0;i<userShort.length;i++){
        lineDataDate[i] = calculateRate.insert_flg(dateShort[i].slice(4),'-',2).substr(0,5);
        hs300Data[i] = (parseFloat(masterShort[i].HS300_TOTAL_PROFIT_RATE)*100).toFixed(2);
        drData[i] = (parseFloat(masterShort[i].DAREN_TOTAL_PROFIT_RATE)*100).toFixed(2);
        lineDataRate[i] = parseFloat(userShort[i].DAY_PROFIT_RATE_TOTAL);
    }
    lineDataRate = calculateRate.dealRate(lineDataRate.reverse());
    hs300Data = hs300Data.reverse();
    drData = drData.reverse();
    console.log(lineDataRate);
    console.log(hs300Data);
    console.log(drData);
    
    // line图
    var myChart = echarts.init(document.getElementById('line'));
    var option =  {
        tooltip : {
            trigger: 'axis',
            formatter: "{b}<br/>{a0}: {c0}%<br/>{a1}: {c1}%<br/>{a2}: {c2}%"
        },
//        legend: {
//            top:'170',
//            right:'6%',
//            data:['我','达人','沪深300']
//        },
        grid:{
            x:50,
            y:25,
            x2:20,
            y2:55
        },
        calculable : true,
        xAxis : [
                 {
                 type : 'category',
                 boundaryGap : false,
                 data : lineDataDate.reverse(),
                 axisLine : {    // 轴线
                    show: true,
                    lineStyle: {
                        color: '#616161',
                        type: 'solid',
                        width: 1
                    }
                 },
                 axisLabel :{
                 show:true,
                 textStyle:{
                 color: '#777777'
                 }
                 },
                 splitLine : {
                 show: true,
                 lineStyle: {
                 color: '#e5e5e5',
                 width:1
                 }
                 
                 }
                 }
                 ],
        yAxis : [
                 {
                 type : 'value',
                 scale: true,
                 boundaryGap: [0,0.15],
                 axisLine : {    // 轴线
                 show: true,
                 lineStyle: {
                 color: '#616161',
                 type: 'solid',
                 width: 1
                 }
                 },
                 axisLabel :{
                 show:true,
                 textStyle:{
                 color: '#777777'
                 },
                 formatter:'{value}%'
                 },
                 splitLine : {
                 show: true,
                 lineStyle: {
                 color: '#e5e5e5',
                 width:1
                 }
                 
                 }
                 }
                 ],
        series : [
                  {
                  name:'我',
                  type:'line',
                  symbol:'none',
                  smooth:true,
                  itemStyle:{
                  normal:{
                  color:'#99e7f2',
                  lineStyle: {        // 系列级个性化折线样式
                  width: 1
                  }
                  }
                  },
                  areaStyle:{
                  normal:{
                  color:'#99e7f2'
                  }
                  },
                  data:lineDataRate
                  },
                  {
                  name:'达人',
                  type:'line',
                  symbol:'none',
                  smooth:true,
                  itemStyle:{
                  normal:{
                  color:'#76ef20',
                  lineStyle: {        // 系列级个性化折线样式
                  width: 1
                  }
                  }
                  },
                  data:drData
                  },
                  {
                  name:'沪深300',
                  type:'line',
                  symbol:'none',
                  smooth:true,
                  itemStyle:{
                  normal:{
                  color:'#fe7b00',
                  lineStyle: {        // 系列级个性化折线样式
                  width: 1
                  }
                  }
                  },
                  data:hs300Data
                  }
                  ]
    };
    
    // 为echarts对象加载数据
    myChart.setOption(option);
    
}
    
    /*
     * pieDraw
     */
    var userAsset = decryptData.asset[0];
    var pieDispalyFlag = false;
    if(userAsset != undefined){
        var number = parseFloat(userAsset.ASSET_TOTAL_CASH) + parseFloat(userAsset.ASSET_TOTAL_STOCK) + parseFloat(userAsset.ASSET_TOTAL_OFUND) + parseFloat(userAsset.ASSET_TOTAL_BOND) + parseFloat(userAsset.ASSET_TOTAL_RZ) + parseFloat(userAsset.ASSET_TOTAL_RQ) + parseFloat(userAsset.ASSET_TOTAL_PLEDGE) + parseFloat(userAsset.ASSET_TOTAL_BJHG) + parseFloat(userAsset.ASSET_TOTAL_OTHER);
        //alert(number);
        if(number != 0){
            pieDispalyFlag = true;
        }
    }
    if(pieDispalyFlag){
	//显示pie
	window.document.getElementById("zcjg").className = "title-all1";
    window.document.getElementById("pie-tip").className = "pie-tip";
    window.document.getElementById("pie").className = "";
//    document.getElementById("lab2").innerHTML = "（截止到" + userAsset.TRADEDATE.substr(0,4) + "年" + userAsset.TRADEDATE.substr(4,2) + "月" + userAsset.TRADEDATE.substr(6,2) + "日）";
    
    var pieColor = ['#bbc600','#e8a300','#e71900','#3ea1f5','#bd4068','#2e9ab4','#fe7445','#88cce1','#95581b'];
    var pieName = ['现金','股票','开放式基金','债券','融资','融券','质押资金','天汇宝','其他资产'];
    var pieEngName = ['ASSET_TOTAL_CASH','ASSET_TOTAL_STOCK','ASSET_TOTAL_OFUND','ASSET_TOTAL_BOND','ASSET_TOTAL_RZ','ASSET_TOTAL_RQ','ASSET_TOTAL_PLEDGE','ASSET_TOTAL_BJHG','ASSET_TOTAL_OTHER'];
    var pieJsonData = {};
    var pieData = ['0','0','0','0','0','0','0','0','0'];
    var pieChartData = [];
    //先把不需要显示的json字段去除
    for(var invest in userAsset){
        if(invest.indexOf('ASSET') >= 0){
            if(userAsset[invest] !== '0.000000'){
                pieJsonData[invest] = userAsset[invest];
            }
        }
    }
    //将json字符串进行排序，与文字对应
    for(var i in pieJsonData){
        for(var j=0;j<pieEngName.length;j++){
            if(i == pieEngName[j]){
                pieData[j] = pieJsonData[i];
            }
        }
    }
    
    for(var i=0;i<pieData.length;i++){
        if(pieData[i] !== '0'){
            pieChartData.push({
                              value:pieData[i].slice(0,-4),
                              name:pieName[i],
                              itemStyle:{
                                    normal:{
                                        color:pieColor[i],
                                        label:{
                                            show:true,
                                            position:'outter',
                                            formatter:'{d}%\n    {b}',
                                            textStyle:{
                                                fontSize:13,
                                                fontFamily:'Arial',
                                                color:'#958578'
                                            }
                                     },
                                     labelLine:{
                                         length:15,
                                         lineStyle:{
                                             color:pieColor[i],
                                             width:1,
                                             shadowColor:'#ffb000'
                                          }
                                     }
                              },
                              emphasis:{
                              label:{
                              show:true,
                              position:'outer',
                              formatter:'{d}%\n    {b}',
                              textStyle:{
                              fontSize:17,
                              fontFamily:'Arial'
                              }
                              
                              }
                              }
                              }
                              });
        }
        
    }
    console.log(pieChartData);
    //pie图
    var myChartPie = echarts.init(document.getElementById('pie'));
    var optionPie = {
        tooltip : {
            trigger: 'item',
//        formatter: "{b} <br/>{c}元 ({d}%)"
            formatter:function(params){
                if(params.name == "开放式基金"){
                    return params.name + '（包含现金管家）<br/>' + params.value + '元 （' + params.percent + '%）'
                }else{
                    return params.name + '<br/>' + params.value + '元 （' + params.percent + '%）'
                }
            }
        },
        calculable : false,
        series : [
                  {
                  name:'资产结构',
                  type:'pie',
                  radius : ['30%', '50%'],
                  center:['51%','50%'],
                  // for funnel
                  x: '30%',
                  width: '35%',
                  funnelAlign: 'left',
                  max: 1048,
                  data:pieChartData
                  }
                ]
        
    };
    
    myChartPie.setOption(optionPie);
    
}

  /*
   * textDraw
   */
    var userData = decryptData;

   //资金总值
   //var totalFund = userData.totalFund;
   var totalFund = parseFloat(userData.asset[0].ASSET_TOTAL).toFixed(2);
   if(totalFund == ""){
       totalFund = "--";
   }
   var data1 = {'fund':totalFund,'date':"截止到" + userAsset.TRADEDATE.substr(0,4) + "/" + userAsset.TRADEDATE.substr(4,2) + "/" + userAsset.TRADEDATE.substr(6,2) + ""};
   Vue.component('personalfund', {
     template: '#component1',
     replace: true,
     props: ['data'],
     data: function () {

     }
   })
   var dada = new Vue({
          el: '#personal-fund',
          data: {
             money: data1,
          }   
    })

   //资产走势
   if(userData.masteranalysiscust[0] != undefined && userData.masteranalysis[0] != undefined){
   	   //显示 
   	   window.document.getElementById("zczs").className = "title-all";
       
       var personalRate = parseFloat(lineDataRate[lineDataRate.length-1]);
       var darenRate = parseFloat(userData.masteranalysis[0].DAREN_TOTAL_PROFIT_RATE)*100;
       var hsRate = parseFloat(userData.masteranalysis[0].HS300_TOTAL_PROFIT_RATE)*100;
       if(personalRate >= 0){
           personalRate = '+' + personalRate.toFixed(2) + '%';
       }else{
           personalRate = personalRate.toFixed(2) + '%';
       }
       if(darenRate >= 0){
           darenRate = '+' + darenRate.toFixed(2) + '%';
       }else{
           darenRate = darenRate.toFixed(2) + '%';
       }
       if(hsRate >= 0){
           hsRate = '+' + hsRate.toFixed(2) + '%';
       }else{
           hsRate = hsRate.toFixed(2) + '%';
       }
       var data2 = {'personalRateDate':userData.masteranalysiscust[0].TRADE_DATE,'personalRate':personalRate,'drRate':darenRate,'hsRate':hsRate};
       Vue.component('personalrate', {
                     template: '#component2',
                     replace: true,
                     props: ['data'],
                     data: function () {
                     
                     }
                     })
       var dada = new Vue({
                          el: '#personal-rate',
                          data: {
                          rate: data2,
                          }   
                          })
   }

   
   //股资标签
   if(userData.analysis[0] != undefined){
       //显示
   	   window.document.getElementById("gzbq").className = "title-all1";
       window.document.getElementById("gzbq-title").className = "stockLabel-title";
       
       var data3 = {'label1':userData.analysis[0].MATCH_COUNT_RANK_LEVEL,'label2':userData.analysis[0].PROFIT_RATE_RANK_LEVEL,'label3':userData.analysis[0].QTY_RANK_LEVEL,'tradeNum':(userData.analysis[0].MATCH_COUNT).toString().slice(0,-7),'userPercent':(parseInt(userData.analysis[0].MATCH_COUNT_RANK)).toString(),'profitRate':((parseFloat(userData.analysis[0].PROFIT_RATE_RANGE)*100).toFixed(2)).toString(),'stockNum':(userData.analysis[0].QTY).toString().slice(0,-7)};
       Vue.component('investlabel', {
                     template: '#component3',
                     replace: true,
                     props: ['data'],
                     data: function () {
                     
                     }
                     })
       var dada = new Vue({
                          el: '#invest-label',
                          data: {
                          label: data3,
                          }   
                          })

   }
    
    $("body").css("width", $(window).width());
    //控制操作tab的高亮显示 参数(one,索引号：1开始)
    function setTab(name, cursel) {
        for (var i = 1; i <= links_len; i++) {
            var menu = document.getElementById(name + i);
            var menudiv = document.getElementById("con_" + name + "_" + i);
            if (i == cursel) {
                menu.className = "off";
                menudiv.style.display = "block";
                
            } else {
                menu.className = "";
                menudiv.style.display = "none";
            }
            document.getElementById("hidfTagHistory").value = cursel;
        }
    }
    
    
    
}
